#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xdde21ece, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x98a056a0, "_gpl");
SYMBOL_CRC(af_alg_release, 0x3e93d2e9, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xcb2f5dcd, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x7c41d0bf, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x9192bd6d, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x5f9bdb02, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x6ea17e66, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x51a8cd48, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xdfdf9ac7, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xac79af03, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x23d272ed, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x524fe471, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xea3af391, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x8037d8b6, "sk_alloc" },
	{ 0x4de26944, "sock_init_data" },
	{ 0x982c80c8, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf5b0f018, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7fd4bd5f, "extract_iter_to_sg" },
	{ 0x99e75285, "proto_register" },
	{ 0xdbf1d4b2, "sock_register" },
	{ 0x56af25a6, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x485d4c9f, "try_module_get" },
	{ 0x8dcb2f52, "lock_sock_nested" },
	{ 0x1efc6437, "release_sock" },
	{ 0x8be69322, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67ada45e, "sk_free" },
	{ 0x8b700974, "security_sock_graft" },
	{ 0xad80af16, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdcd2d841, "sock_wake_async" },
	{ 0x8b10b5b5, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8edf7c8c, "__folio_put" },
	{ 0x715e96b8, "__put_devmap_managed_folio_refs" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b7f9544, "_copy_from_iter" },
	{ 0x869e0470, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd6d595cb, "iov_iter_revert" },
	{ 0xf1993cfe, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xa7486b66, "key_put" },
	{ 0x4af6bb09, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6629545f, "sock_no_connect" },
	{ 0x160d3c4b, "sock_no_socketpair" },
	{ 0x2d6433ab, "sock_no_getname" },
	{ 0x5050409d, "sock_no_ioctl" },
	{ 0x9ca6a2c6, "sock_no_listen" },
	{ 0x9f4a68c1, "sock_no_shutdown" },
	{ 0xc11d70b6, "sock_no_sendmsg" },
	{ 0x5fcfa722, "sock_no_recvmsg" },
	{ 0x5119085f, "sock_no_mmap" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
