#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x516dab8e, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd0aa5fb, "pm_runtime_enable" },
	{ 0x8455a20c, "mhi_pm_suspend" },
	{ 0x479574db, "_dev_info" },
	{ 0xd68f14e3, "pcim_iomap_regions" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x6ab59843, "mhi_device_get_sync" },
	{ 0x886a6d1b, "pci_load_saved_state" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfcda2ce6, "pci_read_config_word" },
	{ 0xd3bf5af3, "pci_store_saved_state" },
	{ 0xe78787f7, "pci_restore_state" },
	{ 0x45199773, "_dev_warn" },
	{ 0xfefed0de, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2df745e, "pci_reset_function" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8a2479c, "dma_set_coherent_mask" },
	{ 0x12f7a05b, "mhi_unregister_controller" },
	{ 0x560a8ac, "pm_runtime_forbid" },
	{ 0x36edc1f5, "pci_pme_capable" },
	{ 0x63da7503, "pm_runtime_allow" },
	{ 0xc1cc06fd, "__pm_runtime_resume" },
	{ 0x3a29720, "mhi_get_channel_doorbell_offset" },
	{ 0x885d2d57, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe350c635, "pci_disable_device" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x2226221d, "pcim_iomap_table" },
	{ 0xcda31baa, "__pm_runtime_use_autosuspend" },
	{ 0xe5895227, "pcim_enable_device" },
	{ 0x99ad7ebd, "__pm_runtime_disable" },
	{ 0xabbff746, "mhi_prepare_for_power_up" },
	{ 0xbcf9a238, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x867dcbf, "pci_save_state" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x60d61434, "pci_wake_from_d3" },
	{ 0xed7b51c1, "pci_enable_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd2f0abfc, "pci_alloc_irq_vectors" },
	{ 0x6d83f8a0, "mhi_device_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x556c709c, "mhi_sync_power_up" },
	{ 0xe7575182, "mhi_power_down" },
	{ 0x2adf52c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xdf2d57a1, "mhi_pm_resume" },
	{ 0xc48e64f1, "__pci_register_driver" },
	{ 0xee0c185a, "pci_assign_resource" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6eb5d371, "pci_set_power_state" },
	{ 0x1ac0f964, "pci_irq_vector" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x6eea9d2f, "mhi_register_controller" },
	{ 0x832055f0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa1f6e935, "mhi_soc_reset" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mhi");

MODULE_ALIAS("pci:v000017CBd00000304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000017CBsd0000010Cbc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000018D7sd00000200bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv00001C5Dsd00002000bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002010bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002015bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000309sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E11Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E11Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000003F0d00000A6Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "297F1AE67930C93E8D9BF7B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
