#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gnss_serial_allocate, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_free, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_register, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_deregister, "_gpl", "");
KSYMTAB_DATA(gnss_serial_pm_ops, "_gpl", "");

SYMBOL_CRC(gnss_serial_allocate, 0x50dcae0c, "_gpl");
SYMBOL_CRC(gnss_serial_free, 0xd74db385, "_gpl");
SYMBOL_CRC(gnss_serial_register, 0x09bfa716, "_gpl");
SYMBOL_CRC(gnss_serial_deregister, 0x8ee4679c, "_gpl");
SYMBOL_CRC(gnss_serial_pm_ops, 0x649425b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcd0aa5fb, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd3cd63e2, "serdev_device_write_wakeup" },
	{ 0x7781e1a7, "serdev_device_write" },
	{ 0x27b0bfd8, "serdev_device_wait_until_sent" },
	{ 0x8beb8b63, "gnss_allocate_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9c9b4e, "gnss_deregister_device" },
	{ 0xc1cc06fd, "__pm_runtime_resume" },
	{ 0xddc15062, "serdev_device_close" },
	{ 0x8eebb09c, "gnss_register_device" },
	{ 0xc1fc9fb2, "gnss_put_device" },
	{ 0x99ad7ebd, "__pm_runtime_disable" },
	{ 0xbcf9a238, "__pm_runtime_idle" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x87a262b0, "serdev_device_set_baudrate" },
	{ 0x7171dd8a, "gnss_insert_raw" },
	{ 0x8818b107, "serdev_device_set_flow_control" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6f19bd2, "serdev_device_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "gnss");


MODULE_INFO(srcversion, "D007DBB3AFE25E0D1D8C472");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
