#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0x97404197, "mma9551_read_accel_chan" },
	{ 0xc978a3ec, "mma9551_read_status_words" },
	{ 0xe69f966e, "mma9551_gpio_config" },
	{ 0x4785f083, "i2c_client_get_device_id" },
	{ 0xc824ef45, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd8644246, "mma9551_read_version" },
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0xcd0aa5fb, "pm_runtime_enable" },
	{ 0x2adf52c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xcda31baa, "__pm_runtime_use_autosuspend" },
	{ 0xdf0dce27, "__iio_device_register" },
	{ 0x537e409e, "mma9551_read_config_words" },
	{ 0x57e42fce, "mma9551_app_reset" },
	{ 0x67803535, "mma9551_write_config_words" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x4b886e51, "is_acpi_device_node" },
	{ 0xa490700e, "acpi_match_device" },
	{ 0x1f954951, "iio_push_event" },
	{ 0x4a29be7f, "iio_enum_read" },
	{ 0x2b82362a, "iio_enum_write" },
	{ 0xaabad9c1, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x744391b5, "i2c_register_driver" },
	{ 0x78282817, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x8d296f24, "iio_device_unregister" },
	{ 0x99ad7ebd, "__pm_runtime_disable" },
	{ 0xcf28ca5d, "__pm_runtime_set_status" },
	{ 0x20e40f9b, "iio_get_time_ns" },
	{ 0xb73e9ac3, "mma9551_write_config_word" },
	{ 0xbc890992, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdb9e6db3, "mma9551_set_power_state" },
	{ 0x26ca2a83, "i2c_del_driver" },
	{ 0x26fb67e1, "mma9551_read_status_word" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "A327B9769DD80908C0E6602");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
