#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x574ff16b, "input_event" },
	{ 0xf806d11d, "input_mt_report_slot_state" },
	{ 0x19a873a5, "touchscreen_report_pos" },
	{ 0xec4227fd, "input_mt_report_pointer_emulation" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5a3cba2d, "i2c_transfer" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xba5762c4, "simple_attr_open" },
	{ 0x26ca2a83, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x886cc66f, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4785f083, "i2c_client_get_device_id" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x63bce26f, "__regmap_init_i2c" },
	{ 0x82801e31, "device_get_match_data" },
	{ 0xaf3973e9, "devm_regulator_get" },
	{ 0xc954ef1f, "__devm_add_action" },
	{ 0xfa78a545, "devm_gpiod_get_optional" },
	{ 0x7bf1587, "devm_input_allocate_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x57b4a523, "device_property_read_u32_array" },
	{ 0x283371fa, "input_set_abs_params" },
	{ 0x4ad54fa, "touchscreen_parse_properties" },
	{ 0xab061ec0, "input_mt_init_slots" },
	{ 0x2cc88444, "irq_get_irq_data" },
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0xd8dd3367, "input_register_device" },
	{ 0x1d159f90, "dev_driver_string" },
	{ 0xfcf762bd, "debugfs_create_dir" },
	{ 0xd0312b16, "debugfs_create_u16" },
	{ 0x5022e5b1, "debugfs_create_file" },
	{ 0x60362a38, "desc_to_gpio" },
	{ 0xda3d4ad, "dev_err_probe" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5570638a, "simple_open" },
	{ 0xf3e8ff81, "generic_file_llseek" },
	{ 0xc5c0f257, "simple_attr_read" },
	{ 0x8feb4b30, "simple_attr_write" },
	{ 0x154091c3, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x744391b5, "i2c_register_driver" },
	{ 0x2cc1b0f1, "regulator_disable" },
	{ 0xd71b1366, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xcbb5d46f, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45199773, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x749a5580, "regmap_read" },
	{ 0x26cbe837, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c49276b, "regmap_exit" },
	{ 0x86a4455b, "regmap_bulk_read" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5426");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5426C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5452");
MODULE_ALIAS("of:N*T*Cfocaltech,ft5452C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8201");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8201C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8719");
MODULE_ALIAS("of:N*T*Cfocaltech,ft8719C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft5452");
MODULE_ALIAS("i2c:ft6236");
MODULE_ALIAS("i2c:ft8201");
MODULE_ALIAS("i2c:ft8719");

MODULE_INFO(srcversion, "A72B3711CF61A3D5BDC230D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
