#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xa7d1aba1, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xa66a7236, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x069974b3, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xa962407c, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x3df4c861, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xdfdacb83, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x97397195, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x02f5827e, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xa900009a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7dcdc07f, "unregister_candev" },
	{ 0xcb60e246, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xab65cc3c, "devm_clk_get" },
	{ 0xc1cc06fd, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xd4cb5b6b, "netif_tx_wake_queue" },
	{ 0xb0627451, "netif_schedule_queue" },
	{ 0xbcf9a238, "__pm_runtime_idle" },
	{ 0x457cb59f, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa89191b5, "can_put_echo_skb" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x4d63da9a, "sk_skb_reason_drop" },
	{ 0x4b1ebce4, "can_dropped_invalid_skb" },
	{ 0x8125688c, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53841641, "netdev_printk" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x762c9f7f, "netdev_warn" },
	{ 0x6c812cf7, "phy_power_on" },
	{ 0x9cd21943, "open_candev" },
	{ 0x38141720, "napi_enable" },
	{ 0x732b3298, "phy_power_off" },
	{ 0xdf23729f, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7507148, "napi_disable" },
	{ 0xc88cb8a7, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x195f0852, "pinctrl_pm_select_default_state" },
	{ 0x76edec1, "netif_device_attach" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0xc1509ba, "can_rx_offload_add_manual" },
	{ 0x9c22191f, "register_candev" },
	{ 0x6c43a493, "netif_napi_add_weight" },
	{ 0x479574db, "_dev_info" },
	{ 0x71edc100, "alloc_can_err_skb" },
	{ 0x272bad03, "can_rx_offload_queue_timestamp" },
	{ 0x3f53d96f, "netif_receive_skb" },
	{ 0x17071682, "__dynamic_netdev_dbg" },
	{ 0x4a9fa3af, "pinctrl_pm_select_sleep_state" },
	{ 0x6d0dc81c, "netif_device_detach" },
	{ 0xdb7c7ee3, "can_bus_off" },
	{ 0xcaffa7b3, "alloc_canfd_skb" },
	{ 0x2b0db306, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x208a619f, "napi_complete_done" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x366fa1f3, "napi_schedule_prep" },
	{ 0x64e62f45, "can_rx_offload_threaded_irq_finish" },
	{ 0x3e40a173, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x11daf1f, "ethtool_op_get_ts_info" },
	{ 0xa4c00df8, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x62398fdd, "__dev_fwnode" },
	{ 0xaead7d85, "fwnode_property_read_u32_array" },
	{ 0x149c06ab, "alloc_candev_mqs" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x1703a3ba, "free_candev" },
	{ 0xc94b1c, "netdev_err" },
	{ 0xdbbbacf5, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x52f7b4e2, "can_get_echo_skb" },
	{ 0xe50357ba, "can_free_echo_skb" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6F20D448C05E7838CD5DFBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
