#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x855f1d01, "");
SYMBOL_CRC(phy_get_rate_matching, 0xeff47dea, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x84598ae0, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x1a8f2e91, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xc7710fee, "");
SYMBOL_CRC(phy_mii_ioctl, 0xbfed0f9a, "");
SYMBOL_CRC(phy_do_ioctl, 0x6d4fbbed, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x8c255466, "");
SYMBOL_CRC(phy_queue_state_machine, 0x672b40e6, "");
SYMBOL_CRC(phy_trigger_machine, 0xf7806e5c, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x0988b75a, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x5340ff53, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0xf05a38cc, "");
SYMBOL_CRC(phy_start_cable_test, 0x5fbf8e6e, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xac1f0e38, "");
SYMBOL_CRC(phy_config_aneg, 0xa95ed5df, "");
SYMBOL_CRC(_phy_start_aneg, 0xf63061b3, "");
SYMBOL_CRC(phy_start_aneg, 0xfad4c555, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x2fe60743, "");
SYMBOL_CRC(phy_speed_down, 0x9152e1a0, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x79d95e86, "_gpl");
SYMBOL_CRC(phy_start_machine, 0xadfd9184, "_gpl");
SYMBOL_CRC(phy_error, 0xbda19100, "");
SYMBOL_CRC(phy_request_interrupt, 0xb78647bf, "");
SYMBOL_CRC(phy_free_interrupt, 0xe628961b, "");
SYMBOL_CRC(phy_stop, 0xc7ad5918, "");
SYMBOL_CRC(phy_start, 0x28005ae9, "");
SYMBOL_CRC(phy_mac_interrupt, 0x27392b70, "");
SYMBOL_CRC(phy_init_eee, 0xa8d20da1, "");
SYMBOL_CRC(phy_get_eee_err, 0x0e03f51a, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xb484e5d6, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x112098c2, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x6aab2718, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x2618acc3, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x821b1dd0, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x4a742783, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xdc594756, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xcbecfac5, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x41fd189e, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0xd0b2d102, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xe0a2ecd8, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x860a9f16, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x5da9cc85, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x097ef14c, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xd27ebe5b, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0xc77c3e14, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xf552ae44, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0xeb95fe63, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x9dc051f9, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xd61ea808, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x773fe374, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x20cfe1ce, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x3a9f4b7e, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0xc5cd5ec2, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0x043d94af, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x2985f413, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0xfa162838, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x4c3b314d, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0xcf437447, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x039f60e3, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x6c08740b, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x9f20f2c2, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xc7d8137a, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x6341cfec, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xd33f4cdc, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xaa73828d, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x7d616494, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xbe56680d, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x024d40e2, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x213b026e, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x959cd9e8, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x6aed1766, "");
SYMBOL_CRC(phy_read_mmd, 0x6dcb6480, "");
SYMBOL_CRC(__phy_write_mmd, 0xca925a2d, "");
SYMBOL_CRC(phy_write_mmd, 0xf4025472, "");
SYMBOL_CRC(__phy_package_read_mmd, 0xa5d32fbb, "");
SYMBOL_CRC(phy_package_read_mmd, 0x164daa81, "");
SYMBOL_CRC(__phy_package_write_mmd, 0x6c9e816a, "");
SYMBOL_CRC(phy_package_write_mmd, 0x4f018618, "");
SYMBOL_CRC(phy_modify_changed, 0xaa56b30f, "_gpl");
SYMBOL_CRC(__phy_modify, 0xd6800860, "_gpl");
SYMBOL_CRC(phy_modify, 0x2e99d60a, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x4a7d6479, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xb2827081, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x5a27a244, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x7442f2e8, "_gpl");
SYMBOL_CRC(phy_save_page, 0x2038acf6, "_gpl");
SYMBOL_CRC(phy_select_page, 0x71647a50, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x5bee2e79, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x16e2545b, "");
SYMBOL_CRC(phy_write_paged, 0xfa0dab6f, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xe21773ec, "");
SYMBOL_CRC(phy_modify_paged, 0xcaa10987, "");
SYMBOL_CRC(phy_basic_features, 0x07ab1f47, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xfe7849dd, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x272f90bb, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0xa2fe28b3, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0xbf7e4cd1, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xfd8eb1bf, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x112a4b78, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x1f8aa8f1, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x004bfa1c, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x1479a216, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0x0d15dc4b, "_gpl");
SYMBOL_CRC(phy_device_free, 0x2207086e, "");
SYMBOL_CRC(phy_register_fixup, 0xe0b89f67, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xb616b836, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0xbb5dbc76, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xa15f9470, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x4f846afe, "");
SYMBOL_CRC(get_phy_device, 0xae003c27, "");
SYMBOL_CRC(phy_device_register, 0x7a1715ed, "");
SYMBOL_CRC(phy_device_remove, 0xcd759f8d, "");
SYMBOL_CRC(phy_get_c45_ids, 0xdeb3a846, "");
SYMBOL_CRC(phy_find_first, 0x0e8acfec, "");
SYMBOL_CRC(phy_connect_direct, 0x0c1f8a4a, "");
SYMBOL_CRC(phy_connect, 0x59a6747d, "");
SYMBOL_CRC(phy_disconnect, 0x8d427aae, "");
SYMBOL_CRC(phy_init_hw, 0x3652006c, "");
SYMBOL_CRC(phy_attached_info, 0x183341e8, "");
SYMBOL_CRC(phy_attached_info_irq, 0x260a28b7, "");
SYMBOL_CRC(phy_attached_print, 0xf97a8f27, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xd7715f01, "");
SYMBOL_CRC(phy_attach_direct, 0x0bf25484, "");
SYMBOL_CRC(phy_attach, 0xb9a4e41d, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x3adfed24, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xf0b508b2, "_gpl");
SYMBOL_CRC(phy_package_join, 0x78d3a0f2, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0x8739acac, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x02c13b50, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x84f68281, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x6c12bac6, "_gpl");
SYMBOL_CRC(phy_detach, 0x34807482, "");
SYMBOL_CRC(phy_suspend, 0xa77accd7, "");
SYMBOL_CRC(__phy_resume, 0x37838a6c, "");
SYMBOL_CRC(phy_resume, 0x6ddf6b20, "");
SYMBOL_CRC(phy_loopback, 0xaca7c8b2, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x28e621d0, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x6644f47f, "");
SYMBOL_CRC(genphy_setup_forced, 0x1f4198ea, "");
SYMBOL_CRC(genphy_read_master_slave, 0xbec9da44, "");
SYMBOL_CRC(genphy_restart_aneg, 0x42385c0b, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xf3f2fdea, "");
SYMBOL_CRC(__genphy_config_aneg, 0x85c2aad0, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xc0885de2, "");
SYMBOL_CRC(genphy_aneg_done, 0x5a006d71, "");
SYMBOL_CRC(genphy_update_link, 0x8eefb6ae, "");
SYMBOL_CRC(genphy_read_lpa, 0x276067c2, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x7255b65c, "");
SYMBOL_CRC(genphy_read_status, 0x108dde4d, "");
SYMBOL_CRC(genphy_c37_read_status, 0x000a5402, "");
SYMBOL_CRC(genphy_soft_reset, 0x636f3e83, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x51673294, "");
SYMBOL_CRC(genphy_read_abilities, 0x5429a384, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0xaac17226, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xd9457ed2, "");
SYMBOL_CRC(genphy_suspend, 0xb87fd3fb, "");
SYMBOL_CRC(genphy_resume, 0xb24329f3, "");
SYMBOL_CRC(genphy_loopback, 0x2195c26c, "");
SYMBOL_CRC(phy_remove_link_mode, 0x26afd024, "");
SYMBOL_CRC(phy_advertise_supported, 0x4642af54, "");
SYMBOL_CRC(phy_advertise_eee_all, 0xe1748e83, "_gpl");
SYMBOL_CRC(phy_support_eee, 0x35a715a1, "");
SYMBOL_CRC(phy_support_sym_pause, 0x72f033c5, "");
SYMBOL_CRC(phy_support_asym_pause, 0x40c05051, "");
SYMBOL_CRC(phy_set_sym_pause, 0xba975b54, "");
SYMBOL_CRC(phy_set_asym_pause, 0x64eb6a9c, "");
SYMBOL_CRC(phy_validate_pause, 0xa9979bca, "");
SYMBOL_CRC(phy_get_pause, 0xe2228591, "");
SYMBOL_CRC(phy_get_internal_delay, 0x3282bc06, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x58ca0335, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x8c7015b5, "");
SYMBOL_CRC(device_phy_find_device, 0x05c72289, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0xd26e72a2, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xfacfe726, "");
SYMBOL_CRC(phy_drivers_register, 0x815b081d, "");
SYMBOL_CRC(phy_driver_unregister, 0xcaa9a5a3, "");
SYMBOL_CRC(phy_drivers_unregister, 0x6cf287c2, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x33c2b7b3, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x59895c49, "");
SYMBOL_CRC(mdiobus_get_phy, 0x5492d783, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xfa0112d8, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x700295be, "");
SYMBOL_CRC(mdio_find_bus, 0x790fcf28, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xb7d1b6b6, "");
SYMBOL_CRC(__mdiobus_register, 0x00d9dee0, "");
SYMBOL_CRC(mdiobus_unregister, 0x4e89b883, "");
SYMBOL_CRC(mdiobus_free, 0x50d0bbaa, "");
SYMBOL_CRC(__mdiobus_read, 0xf4ea8aae, "");
SYMBOL_CRC(__mdiobus_write, 0xa3a44ca1, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x9bded9c7, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x74ed96a2, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xcf9b9a63, "");
SYMBOL_CRC(mdiobus_read_nested, 0xf37ab1fe, "");
SYMBOL_CRC(mdiobus_read, 0xe5bb00b6, "");
SYMBOL_CRC(mdiobus_c45_read, 0xebcab94d, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x320d52ea, "");
SYMBOL_CRC(mdiobus_write_nested, 0x2228b74f, "");
SYMBOL_CRC(mdiobus_write, 0xa5687f37, "");
SYMBOL_CRC(mdiobus_c45_write, 0x5a4bf998, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xa785113d, "");
SYMBOL_CRC(__mdiobus_modify, 0xcef91427, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xc9817824, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x9e40eb8a, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x0c16ab09, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xd69954b2, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x0af578fe, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x30fee82b, "");
SYMBOL_CRC(mdio_device_create, 0x7a993adf, "");
SYMBOL_CRC(mdio_device_register, 0x048580fd, "");
SYMBOL_CRC(mdio_device_remove, 0xdb6f45ee, "");
SYMBOL_CRC(mdio_device_reset, 0x8b86c303, "");
SYMBOL_CRC(mdio_driver_register, 0x3c59bc10, "");
SYMBOL_CRC(mdio_driver_unregister, 0x2e4505fa, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x5e6976ff, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x45317ce7, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xbfcaa042, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e9f105, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd2faf911, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xf2269d78, "__trace_trigger_soft_disabled" },
	{ 0xcbb5d46f, "gpiod_set_value_cansleep" },
	{ 0x8e61a026, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xa60ed6c1, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xa11a73e1, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9369c999, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa78a545, "devm_gpiod_get_optional" },
	{ 0x9f2c3e1e, "get_device" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0xba451b0f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xca2a5f23, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3de13c3f, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x516dab8e, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe0bfbb90, "put_device" },
	{ 0xd9da5bb6, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x479574db, "_dev_info" },
	{ 0x8be69322, "module_put" },
	{ 0xd8bec45d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xa8e4747e, "perf_trace_run_bpf_submit" },
	{ 0x9b3e211b, "bus_unregister" },
	{ 0x2c209090, "devm_kfree" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x9eb6dc8f, "bus_find_device" },
	{ 0x8092958c, "device_add" },
	{ 0x29634001, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x739d6246, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0xbbb23339, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8aa24927, "is_acpi_data_node" },
	{ 0xf84dabda, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9f3815b4, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x4ba1bbf9, "class_unregister" },
	{ 0x31ae6238, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9f3a2e2c, "device_register" },
	{ 0x41a268c7, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xa95dd90, "device_bind_driver" },
	{ 0x45199773, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x54a20610, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x193591a4, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeba5861c, "netdev_alert" },
	{ 0x1ffaece4, "ethnl_cable_test_alloc" },
	{ 0xa07430fc, "fwnode_find_reference" },
	{ 0x6f04df23, "fwnode_property_read_string" },
	{ 0x45b6113e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb076a046, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xff7fd188, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe6b513f, "netif_carrier_off" },
	{ 0xea463c16, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde1ffb9e, "led_trigger_register" },
	{ 0x9bdf284e, "netif_carrier_on" },
	{ 0x14e9b78e, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1779bd3, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xa6e1cb12, "sysfs_create_link_nowarn" },
	{ 0xda3d4ad, "dev_err_probe" },
	{ 0xe59a6c60, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x95709919, "led_trigger_event" },
	{ 0x6df02a2b, "device_release_driver" },
	{ 0xc4d19527, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe1b360e9, "gpiod_set_consumer_name" },
	{ 0xc1f4edc4, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1d105792, "driver_register" },
	{ 0xd9f696de, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x62398fdd, "__dev_fwnode" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x8b002dbf, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x48d6e45a, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x6932e139, "class_find_device" },
	{ 0xc762fa46, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x485d4c9f, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b886e51, "is_acpi_device_node" },
	{ 0x874d235f, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x2259ff54, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85a9b0c9, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x667b91bf, "trace_raw_output_prep" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EBA52274E8F5AB098CA6C17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
