#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84210298, "class_interface_unregister" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0x45199773, "_dev_warn" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x99c7f469, "__rio_local_write_config_32" },
	{ 0x34ab575c, "rio_mport_write_config_32" },
	{ 0x999e8297, "vfree" },
	{ 0x2ae32911, "__rio_local_read_config_32" },
	{ 0x1fab2f74, "rio_mport_read_config_32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9f2c3e1e, "get_device" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe0bfbb90, "put_device" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0xa60ed6c1, "device_initialize" },
	{ 0x85a9b0c9, "dev_set_name" },
	{ 0xfb750285, "cdev_init" },
	{ 0x7cc1da1b, "cdev_device_add" },
	{ 0x1b78dd51, "rio_query_mport" },
	{ 0x2f19133a, "rio_release_dma" },
	{ 0x3b1dea0f, "rio_del_mport_pw_handler" },
	{ 0x7df236a3, "cdev_device_del" },
	{ 0x90108a01, "kill_fasync" },
	{ 0xb436fa4d, "rio_release_inb_dbell" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xae7ac0b6, "vm_iomap_memory" },
	{ 0x7c108bb, "dma_mmap_attrs" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x1fca773f, "dma_unmap_sg_attrs" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8bfd02e3, "unpin_user_pages" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x9cbf9753, "rio_local_set_device_id" },
	{ 0x43d87a07, "rio_add_mport_pw_handler" },
	{ 0xae8eb013, "rio_pw_enable" },
	{ 0xfff7d72b, "dma_alloc_attrs" },
	{ 0xa916b694, "strnlen" },
	{ 0x375cfa48, "rio_get_comptag" },
	{ 0x1c21fd29, "rio_dev_put" },
	{ 0x69dc79d5, "rio_del_device" },
	{ 0x982ea9d0, "rio_free_net" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x48b45cca, "pin_user_pages_fast" },
	{ 0x1965f7f1, "sg_alloc_table_from_pages_segment" },
	{ 0x1a22144b, "dma_map_sg_attrs" },
	{ 0xd1b0a51f, "rio_dma_prep_xfer" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x26abfe0b, "rio_request_mport_dma" },
	{ 0xea463c16, "device_match_name" },
	{ 0x72ea872c, "rio_bus_type" },
	{ 0x9eb6dc8f, "bus_find_device" },
	{ 0x642a750d, "rio_attach_device" },
	{ 0xb4c45ca5, "rio_add_device" },
	{ 0x71e6a89f, "rio_dev_get" },
	{ 0x2f36c65d, "rio_request_inb_dbell" },
	{ 0xcbee9835, "rio_map_outb_region" },
	{ 0xa83afe90, "rio_map_inb_region" },
	{ 0xf6f55fc6, "rio_alloc_net" },
	{ 0xb0cb0286, "rio_add_net" },
	{ 0xab959be3, "rio_mport_get_physefb" },
	{ 0x4d626d39, "rio_mport_get_feature" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5c5d5af4, "rio_mport_class" },
	{ 0x48fa7862, "param_ops_uint" },
	{ 0x848fc835, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9f696de, "class_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc7fb5413, "class_interface_register" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4ba1bbf9, "class_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x79c9fd9d, "rio_unmap_inb_region" },
	{ 0x5ea9965e, "dma_free_attrs" },
	{ 0x987b7aa2, "rio_unmap_outb_region" },
	{ 0xe1f14466, "fasync_helper" },
	{ 0xa6257a2f, "complete" },
	{ 0x18d1d37d, "rio_mport_send_doorbell" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "rapidio");


MODULE_INFO(srcversion, "57D7F29A04328B063B47CC8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
