#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(alloc_rtllib, "", "");
KSYMTAB_FUNC(free_rtllib, "", "");
KSYMTAB_FUNC(rtllib_rx, "", "");
KSYMTAB_FUNC(rtllib_legal_channel, "", "");
KSYMTAB_FUNC(rtllib_xmit, "", "");
KSYMTAB_FUNC(rtllib_wx_get_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_encode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mlme, "", "");
KSYMTAB_FUNC(rtllib_wx_set_auth, "", "");
KSYMTAB_FUNC(rtllib_wx_set_gen_ie, "", "");
KSYMTAB_FUNC(rtllib_stop_scan, "", "");
KSYMTAB_FUNC(rtllib_stop_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_act_scanning, "", "");
KSYMTAB_FUNC(rtllib_start_scan_syncro, "", "");
KSYMTAB_FUNC(rtllib_sta_ps_send_null_frame, "", "");
KSYMTAB_FUNC(rtllib_ps_tx_ack, "", "");
KSYMTAB_FUNC(rtllib_reset_queue, "", "");
KSYMTAB_FUNC(rtllib_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(rtllib_softmac_start_protocol, "", "");
KSYMTAB_FUNC(rtllib_mgnt_disconnect, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event, "", "");
KSYMTAB_FUNC(rtllib_wx_set_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_freq, "", "");
KSYMTAB_FUNC(rtllib_wx_get_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_set_wap, "", "");
KSYMTAB_FUNC(rtllib_wx_get_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rate, "", "");
KSYMTAB_FUNC(rtllib_wx_set_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_get_rts, "", "");
KSYMTAB_FUNC(rtllib_wx_set_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_set_scan, "", "");
KSYMTAB_FUNC(rtllib_wx_set_essid, "", "");
KSYMTAB_FUNC(rtllib_wx_get_mode, "", "");
KSYMTAB_FUNC(rtllib_wx_get_name, "", "");
KSYMTAB_FUNC(rtllib_wx_set_power, "", "");
KSYMTAB_FUNC(rtllib_wx_get_power, "", "");
KSYMTAB_FUNC(HT_update_self_and_peer_setting, "", "");
KSYMTAB_FUNC(remove_peer_ts, "", "");

SYMBOL_CRC(alloc_rtllib, 0xd3be9e7e, "");
SYMBOL_CRC(free_rtllib, 0x8a20ddd3, "");
SYMBOL_CRC(rtllib_rx, 0xece506bd, "");
SYMBOL_CRC(rtllib_legal_channel, 0x92f196d1, "");
SYMBOL_CRC(rtllib_xmit, 0x3e89c4fb, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0xf309a76e, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x213282ca, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0xd8d2ab91, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x245e503b, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0xbd269b14, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0xb1da6074, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0xf66db0a9, "");
SYMBOL_CRC(rtllib_stop_scan, 0x88143524, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0xccb29725, "");
SYMBOL_CRC(rtllib_act_scanning, 0x006426b8, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x1a573b08, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0xe4f2daf6, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x7bfd40e5, "");
SYMBOL_CRC(rtllib_reset_queue, 0x8e3a4db8, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0x820daf34, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0xe81aed7e, "");
SYMBOL_CRC(rtllib_mgnt_disconnect, 0xcff896d7, "");
SYMBOL_CRC(notify_wx_assoc_event, 0x717cd4ff, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xa6417391, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xe348f8ed, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0x807545c7, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x56a24cea, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0xece5e3bb, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x0354db86, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x465d50fa, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0xd080907c, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x06579951, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0xcd8f9f34, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0xb6002c12, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0xb513d727, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0x88861448, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x12288be5, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xe212fc6d, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xbbe4c8f1, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0xa9ac6577, "");
SYMBOL_CRC(remove_peer_ts, 0x77e781bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x762c9f7f, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc94b1c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc509ac35, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x797d38ce, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5d82c48a, "skb_queue_tail" },
	{ 0xb373ae0d, "lib80211_get_crypto_ops" },
	{ 0xc75b9c67, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4d63da9a, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x112ad638, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xb3909c35, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e6557fb, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa5da151d, "netif_tx_stop_all_queues" },
	{ 0xd4cb5b6b, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x4104e16e, "netif_rx" },
	{ 0x7c9a2a51, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x17071682, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeba5861c, "netdev_alert" },
	{ 0xa1609bd9, "lib80211_crypt_info_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe6b513f, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa507c91e, "lib80211_crypt_delayed_deinit" },
	{ 0x9bdf284e, "netif_carrier_on" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xea7490da, "dev_kfree_skb_any_reason" },
	{ 0xf9a482f9, "msleep" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x8b002dbf, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfb9f942e, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x485d4c9f, "try_module_get" },
	{ 0xaa260c05, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x45d2ffdf, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xdb9ef30b, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "lib80211,cfg80211");


MODULE_INFO(srcversion, "99210DB2825DB7CC8756E49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
