#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe0295414, "usb_bulk_msg" },
	{ 0xe7dd9262, "usb_get_dev" },
	{ 0x75b9d9ba, "usb_set_interface" },
	{ 0x266ca5fc, "parport_register_port" },
	{ 0x1e9c590a, "usb_find_common_endpoints_reverse" },
	{ 0x37b45fb, "parport_announce_port" },
	{ 0x877d54c0, "parport_ieee1284_read_nibble" },
	{  0xa268d, "parport_ieee1284_read_byte" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4a06c02, "usb_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x4417f3ec, "usb_put_dev" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x52d75a15, "usb_deregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe006b02a, "usb_unlink_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x47ab27d5, "usb_free_urb" },
	{ 0xa6257a2f, "complete" },
	{ 0x4d2a941b, "parport_ieee1284_interrupt" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0xf757a03e, "parport_remove_port" },
	{ 0x94131b20, "parport_put_port" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x12461a03, "usb_alloc_urb" },
	{ 0x8dac31eb, "usb_submit_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,parport");

MODULE_ALIAS("usb:v047Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B8p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B8p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp1202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ABp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ABp1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06C6p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0729p1284d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1293p0002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "60FF4C8BCF6AA345B30E6F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
