#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x04ee0c04, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x375cbd1b, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xebc0f0d5, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0xb9817da6, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0xa742d179, "_gpl");
SYMBOL_CRC(six_relock_ip, 0x25796434, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0x2a69d650, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0x164c8f70, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0xa0388cb7, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0x29277290, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0xcdb0a303, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x371dbe8c, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0x9c79a5fe, "_gpl");
SYMBOL_CRC(six_lock_counts, 0x89f36703, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0xd6943e9f, "_gpl");
SYMBOL_CRC(six_lock_exit, 0xefefc4a8, "_gpl");
SYMBOL_CRC(__six_lock_init, 0x22b14b97, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0xc2c798b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26cbe837, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xecb30b53, "seq_putc" },
	{ 0xa46efe3d, "ilookup5_nowait" },
	{ 0x7389fb44, "bio_kmalloc" },
	{ 0x2bc5a61e, "from_kgid" },
	{ 0x3ae34aeb, "zstd_init_dctx" },
	{ 0xbbb23339, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xfd41d32f, "folio_mkclean" },
	{ 0x379f0d51, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0x6cda6c06, "bdev_freeze" },
	{ 0x4ef2e8f9, "blkdev_issue_zeroout" },
	{ 0x5d8c953c, "file_remove_privs" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0xa9c72419, "vmap" },
	{ 0xd39a0c96, "sget" },
	{ 0x1ab7a3ea, "zero_fill_bio_iter" },
	{ 0x36caeb67, "bio_add_page" },
	{ 0x276c6ac2, "crypto_shash_update" },
	{ 0x4ba1bbf9, "class_unregister" },
	{ 0xa5026e02, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x472f9dd5, "folio_wait_stable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x859cbef6, "__audit_inode_child" },
	{ 0x5b5bf7ad, "d_obtain_alias" },
	{ 0x6e144a28, "file_modified" },
	{ 0x7ebb4408, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xefa56cd8, "bio_check_pages_dirty" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8184ed4d, "freezing_slow_path" },
	{ 0x3b0a3b1d, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29679846, "__folio_start_writeback" },
	{ 0x1b864f2f, "bio_set_pages_dirty" },
	{ 0xad3f9d6a, "bpf_trace_run1" },
	{ 0xf3b2ca49, "bpf_trace_run9" },
	{ 0x591fd652, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x18aa1df4, "folio_end_writeback" },
	{ 0xf60047e0, "sync_inodes_sb" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x7a5329e7, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x892dd95, "bio_init" },
	{ 0x8b5bb20f, "__SCT__tp_func_contention_begin" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0xfb578fc5, "memset" },
	{ 0x69459a72, "synchronize_srcu_expedited" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x73760edb, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x26b4ed64, "generic_remap_file_range_prep" },
	{ 0xa84b15d, "zstd_init_cctx" },
	{ 0xe21f18ac, "__genradix_iter_peek" },
	{ 0x4725b7bc, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc78db5b7, "__get_task_comm" },
	{ 0xd9f12408, "bio_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ed81b8a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x76a01571, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0xa3f7c009, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x7a6b021b, "d_delete" },
	{ 0xc0d2f40f, "crypto_alloc_sync_skcipher" },
	{ 0x15b89b29, "__closure_sync_timeout" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xf88bef08, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad304cfe, "nonseekable_open" },
	{ 0xfd81c1a4, "bio_free_pages" },
	{ 0xf06d7f4e, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x25fd4faa, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xb7db1556, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x33736a1d, "__genradix_ptr_alloc" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x8c30bf67, "zstd_dctx_workspace_bound" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5022e5b1, "debugfs_create_file" },
	{ 0x9db06551, "super_setup_bdi" },
	{ 0x9dc95963, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7a9eca70, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x45b6113e, "trace_event_buffer_reserve" },
	{ 0x95a2f47f, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c889e42, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xded19f61, "bio_copy_data_iter" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x29a4d2e, "bioset_init" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0x2e959878, "request_key_tag" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x41cd908c, "__register_chrdev" },
	{ 0x8edf7c8c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc4ddd268, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54af48da, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x60e2d8e0, "deactivate_locked_super" },
	{ 0x5a2d69a5, "touch_atime" },
	{ 0xb5d5f4ba, "filemap_read" },
	{ 0x38c6e059, "__percpu_down_read" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe0d12de5, "posix_acl_update_mode" },
	{ 0xad1e9717, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x869e0470, "alloc_pages_noprof" },
	{ 0x502b20de, "__folio_lock" },
	{ 0xf44d0e2b, "filemap_dirty_folio" },
	{ 0x8bd4aef7, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc06baf8f, "rcuwait_wake_up" },
	{ 0x230b6b57, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x6f405f21, "filemap_splice_read" },
	{ 0xfebe332a, "kthread_unuse_mm" },
	{ 0x2e5e58ad, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbe6a8c96, "zstd_cctx_workspace_bound" },
	{ 0x9fb20716, "__seq_puts" },
	{ 0xb182a7d0, "key_type_user" },
	{ 0x69942fd5, "d_parent_ino" },
	{ 0x81188c30, "match_string" },
	{ 0xe89046df, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x9a88d05c, "__SCT__tp_func_contention_end" },
	{ 0x8727d4b0, "generic_file_llseek_size" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf3b7117f, "closure_return_sync" },
	{ 0x3f0eabd2, "xxh64_update" },
	{ 0xd6d595cb, "iov_iter_revert" },
	{ 0x8f455aed, "generic_write_checks" },
	{ 0x55a8e1fe, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe292218a, "filemap_fault" },
	{ 0xc0e807b1, "crypto_alloc_shash" },
	{ 0xfcf762bd, "debugfs_create_dir" },
	{ 0xf3e8ff81, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xaaaac7ee, "make_bad_inode" },
	{ 0x284ddf28, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ed43f82, "iov_iter_npages" },
	{ 0xf2628676, "zstd_compress_cctx" },
	{ 0x498d5eaa, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd9f696de, "class_register" },
	{ 0xdb6e8358, "fault_in_iov_iter_readable" },
	{ 0xe9809518, "__tracepoint_contention_begin" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3551a41, "start_poll_synchronize_srcu" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x1e7ad0be, "fs_bio_set" },
	{ 0x3e716dbb, "kmem_cache_destroy" },
	{ 0xafe2aa4d, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x13584efe, "kset_create_and_add" },
	{ 0xac8515ef, "blkdev_issue_discard" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xca5427eb, "crypto_skcipher_encrypt" },
	{ 0x8ad1b2d, "__bio_release_pages" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x30995ba6, "generic_shutdown_super" },
	{ 0x2de08703, "bio_associate_blkg" },
	{ 0x271fab, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4c0b4e86, "vfs_fsync_range" },
	{ 0x4497ebe4, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0x51fc9f9, "filemap_migrate_folio" },
	{ 0xf7a32a58, "bdev_file_open_by_path" },
	{ 0xdb36dcbd, "shrinker_alloc" },
	{ 0x46cec876, "file_check_and_advance_wb_err" },
	{ 0x485d4c9f, "try_module_get" },
	{ 0xe67b910e, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xeda6f1f7, "d_instantiate" },
	{ 0xb28086, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14d235e8, "clear_inode" },
	{ 0xebe5f1f2, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe9360f0c, "stack_trace_save_tsk" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0x48fa7862, "param_ops_uint" },
	{ 0xdfcc325, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb16fdbfa, "inode_init_always" },
	{ 0x18cbeed3, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74989125, "bio_copy_data" },
	{ 0x2259ff54, "sysfs_create_file_ns" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x68b729ef, "__folio_batch_release" },
	{ 0xd37ed453, "folio_unlock" },
	{ 0x9a3dd2d6, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbccb0e38, "inode_insert5" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xaf4d1589, "user_path_create" },
	{ 0xc0364007, "fault_in_writeable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc451ac96, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x667b91bf, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0x9787f6d3, "user_path_locked_at" },
	{ 0xe67e546f, "init_special_inode" },
	{ 0x972975a2, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd2faf911, "bpf_trace_run6" },
	{ 0x2f0d906d, "iov_iter_single_seg_count" },
	{ 0x3242a9a7, "device_unregister" },
	{ 0x7a98f4b4, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x398b274c, "generic_error_remove_folio" },
	{ 0xf2269d78, "__trace_trigger_soft_disabled" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xaedb4931, "nop_posix_acl_access" },
	{ 0xdaa73bda, "nop_posix_acl_default" },
	{ 0xac6a1a7, "d_make_root" },
	{ 0x8e61a026, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf1bf3920, "__put_task_struct" },
	{ 0xcf2a6966, "up" },
	{ 0x9016047c, "closure_wait" },
	{ 0x5ecfa4ed, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0x9084e7a0, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8c73753, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2f26bb04, "fd_install" },
	{ 0x43453010, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0xa11a73e1, "trace_event_raw_init" },
	{ 0xf7c7eda7, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc158168b, "ihold" },
	{ 0x718aae42, "page_get_link" },
	{ 0x45d99dc9, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7db85711, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x69c9357c, "invalidate_inode_pages2_range" },
	{ 0x8cb8932, "finish_open" },
	{ 0xbae4864f, "iput" },
	{ 0x8e5aacaa, "kset_unregister" },
	{ 0x9369c999, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x6cd7706d, "iter_file_splice_write" },
	{ 0xe00c05cb, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfbd7f442, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xe33e085f, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xb8523d59, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x2d4055e7, "register_filesystem" },
	{ 0xb9f23c5, "kmem_cache_create" },
	{ 0x836a2b26, "__tracepoint_contention_end" },
	{ 0x114a61ed, "bdev_thaw" },
	{ 0xa9c38b1c, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xa778cc8d, "filemap_add_folio" },
	{ 0xed990497, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0xa1dda087, "kthread_use_mm" },
	{ 0x56f6f09a, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa86fce4d, "bio_iov_iter_get_pages" },
	{ 0xb61cf86a, "user_path_at" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xda401be6, "d_prune_aliases" },
	{ 0xc01e1be2, "wake_up_process" },
	{ 0xb5453331, "shrinker_free" },
	{ 0xca2a5f23, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xe830c3ff, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x766da893, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0xba4a2ec4, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xf2380408, "lock_two_nondirectories" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x63c9a287, "mnt_want_write_file" },
	{ 0x72832cb8, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xcdf0e655, "get_state_synchronize_srcu" },
	{ 0x37046529, "make_kprojid" },
	{ 0x1073a324, "__genradix_iter_peek_prev" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5e35b5a7, "__SCK__tp_func_contention_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0xdcaf5f0e, "__SCK__tp_func_contention_begin" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0x984c3d8b, "make_kuid" },
	{ 0x934b2f06, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xba00f6f7, "fs_kobj" },
	{ 0x8fdc8e15, "bio_add_folio" },
	{ 0xfd82566c, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x18062a0c, "shrinker_register" },
	{ 0x655952a6, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1993cfe, "__free_pages" },
	{ 0x4963937c, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe442c36c, "blk_finish_plug" },
	{ 0xfa1c35e1, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x241b2f14, "submit_bio" },
	{ 0xab19d8c1, "mnt_drop_write_file" },
	{ 0x8be69322, "module_put" },
	{ 0xb92c0a9d, "__destroy_inode" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd8bec45d, "sysfs_create_link" },
	{ 0x3b9e1433, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf54a10f9, "inode_init_once" },
	{ 0x45c308b0, "bioset_exit" },
	{ 0x9ad87c82, "file_write_and_wait_range" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x8e3e0f7d, "fault_in_readable" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xca1648d4, "zstd_decompress_dctx" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xa7486b66, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x8e9bdb90, "bio_put" },
	{ 0x29a5a6cf, "percpu_up_write" },
	{ 0xc45ef43e, "bio_endio" },
	{ 0x1c413dc0, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x75823c9b, "posix_acl_create" },
	{ 0x855768fb, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xa8e4747e, "perf_trace_run_bpf_submit" },
	{ 0x508289df, "__bio_advance" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f25d9f4, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0xd792dc55, "thp_get_unmapped_area" },
	{ 0x29634001, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb139689f, "set_cached_acl" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x2dc3d56d, "truncate_pagecache" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xf3735918, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1328a2fe, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4ea5ed3b, "device_create" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x26cee32b, "page_symlink" },
	{ 0x153f4d84, "bpf_trace_run5" },
	{ 0x882d3bc7, "bdev_fput" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x323d572b, "write_cache_pages" },
	{ 0x9289cc96, "file_update_time" },
	{ 0xb0b5afec, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9426aa83, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "lz4hc_compress,xor,raid6_pq,libcrc32c,lz4_compress");


MODULE_INFO(srcversion, "E3DD7889CF1A3F7AEE66B2D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
