#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x1c57df85, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x74a4f2d6, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x20a90a9b, "_gpl");
SYMBOL_CRC(fat_scan, 0x651a3ad6, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x71c923c7, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xf6d013ea, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x80b78b37, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xb376218e, "_gpl");
SYMBOL_CRC(fat_getattr, 0xd1716ef7, "_gpl");
SYMBOL_CRC(fat_setattr, 0x18875fb7, "_gpl");
SYMBOL_CRC(fat_attach, 0x166be274, "_gpl");
SYMBOL_CRC(fat_detach, 0x5f06f56d, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x98c081eb, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0xb92355b5, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xa9bb6a8b, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xff40554a, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xb92b5a50, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xc9b0ab9f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xd287c775, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x627e03c2, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xf3a693f7, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xca759e59, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x312b1569, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x706443d2, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x4b8c28ff, "_gpl");
SYMBOL_CRC(fat_update_time, 0xf1df04da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x26fe63a9, "block_invalidate_folio" },
	{ 0xbf12e25d, "__breadahead" },
	{ 0xfbb1ff49, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa48e695f, "load_nls" },
	{ 0x594e95ad, "generic_cont_expand_simple" },
	{ 0x934b2f06, "truncate_inode_pages_final" },
	{ 0x48a63650, "generic_file_mmap" },
	{ 0xa5ce6c54, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0xac976508, "ilookup" },
	{ 0x9501c73e, "invalidate_inode_buffers" },
	{ 0xe442c36c, "blk_finish_plug" },
	{ 0x5a842ff9, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xab19d8c1, "mnt_drop_write_file" },
	{ 0xb2df7d01, "fs_param_is_gid" },
	{ 0xf54a10f9, "inode_init_once" },
	{ 0xc214845a, "compat_ptr_ioctl" },
	{ 0x6d63bf2a, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x7dc09c86, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x55a13ac3, "generic_file_read_iter" },
	{ 0x5e55c1d, "inode_maybe_inc_iversion" },
	{ 0x2dc3d56d, "truncate_pagecache" },
	{ 0xc594ccfa, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x95cd4953, "setattr_copy" },
	{ 0x40518474, "__wait_on_buffer" },
	{ 0xb0b5afec, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x677db41, "kmem_cache_alloc_lru_noprof" },
	{ 0x9426aa83, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x961ef970, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x400d8393, "from_vfsgid" },
	{ 0x42495b7f, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5b5bf7ad, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa3678619, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb5199c55, "block_dirty_folio" },
	{ 0xc36420cd, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9c5bc9a4, "__insert_inode_hash" },
	{ 0x7905433e, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ed81b8a, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9370b510, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xf88bef08, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b64b580, "generic_encode_ino32_fh" },
	{ 0xad51c5d9, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9dc95963, "igrab" },
	{ 0x7a9eca70, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6ea28fc, "mpage_readahead" },
	{ 0xcdee528c, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0xa250d953, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x3316038c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb019a95, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x44331c4e, "blkdev_issue_flush" },
	{ 0x102bdf70, "generic_fh_to_parent" },
	{ 0xfd61b99a, "__fs_parse" },
	{ 0x6f405f21, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc0edc39c, "from_kuid_munged" },
	{ 0xc005d0b8, "__generic_file_fsync" },
	{ 0x69942fd5, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3e2d99b5, "__mark_inode_dirty" },
	{ 0xf3e8ff81, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5ea7e97b, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xbcea6dc5, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x79c1cc10, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x48cfe215, "fs_param_is_uid" },
	{ 0x3e716dbb, "kmem_cache_destroy" },
	{ 0xac8515ef, "blkdev_issue_discard" },
	{ 0x1d292f89, "filemap_fdatawrite" },
	{ 0xaa544d3c, "generic_fillattr" },
	{ 0x4497ebe4, "setattr_prepare" },
	{ 0x6194ddc1, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xde7291aa, "sync_blockdev_nowait" },
	{ 0xccecf4ed, "make_vfsgid" },
	{ 0xb28086, "blk_start_plug" },
	{ 0x14d235e8, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb04da749, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x4809ce6, "fs_param_is_string" },
	{ 0x8568647b, "new_inode" },
	{ 0x3941f223, "mark_buffer_dirty" },
	{ 0x769e71b0, "security_inode_setattr" },
	{ 0x179a49ac, "__find_get_block" },
	{ 0x28a15d8f, "filemap_fdatawrite_range" },
	{ 0x2389d67b, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xc797151a, "__blockdev_direct_IO" },
	{ 0xac6a1a7, "d_make_root" },
	{ 0xf49b61b9, "__bforget" },
	{ 0x2f2361f6, "sb_set_blocksize" },
	{ 0x63add768, "block_truncate_page" },
	{ 0x522b5116, "write_dirty_buffer" },
	{ 0x4b4da867, "sync_filesystem" },
	{ 0x9084e7a0, "fsnotify" },
	{ 0x43453010, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c118448, "from_vfsuid" },
	{ 0x45d99dc9, "inode_dio_wait" },
	{ 0x743201b2, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xe89180fe, "cont_write_begin" },
	{ 0xbae4864f, "iput" },
	{ 0x21fdb378, "fs_param_is_enum" },
	{ 0xe06eec7d, "fs_param_is_s32" },
	{ 0x6cd7706d, "iter_file_splice_write" },
	{ 0x23cb1fea, "fs_param_is_bool" },
	{ 0x6db435f9, "generic_file_write_iter" },
	{ 0xb9f23c5, "kmem_cache_create" },
	{ 0xa9c38b1c, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2b6a97b4, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc505b3a1, "fs_param_is_u32" },
	{ 0x63c9a287, "mnt_want_write_file" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3359370BE139905C0B0DF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
