#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xc72f7e29, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xcd9c2405, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x989523da, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x638bd749, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x5782cfec, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xa145e076, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x039fbf6b, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x0983b38d, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xf0bdf522, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x79850c4b, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x9e7749a9, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xd6c7b62c, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x6d2d9469, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xe25190c1, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xabeecfa9, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x884ee65a, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xa39b60d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x7dcd69f2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xb4cbd3b7, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x88daab59, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x6c337be2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x9677d790, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x5e822b9d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xe9a2158b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xf260bb9d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xeca39b1e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x281da1c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xb1b1aaf9, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x4a7823f4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xa3dc3eb3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x1d4b41d3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x2335935d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x41e0b1c9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x87aa3082, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x48b24c5c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xc48869df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xb5822d3e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x96a05b5c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xa01b222e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xe9d205b2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xeec5a64f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xfbbf91f8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x3f023b99, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xee339cba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xa919fe83, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x5149fbf0, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xc6da2d1e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xdb53e7de, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xcc34d742, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xb3123ae0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x1068c091, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x92f1e74c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x493e14cd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x8df73835, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x3a451743, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xaf285c1b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0xb60ee814, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xfce60865, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xfb40bc1b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0xe3275256, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x73cf853c, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x7961ad91, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0xab372d69, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0xff415dc4, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x752b1db3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x80949fdf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb7b5fed6, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xd048c580, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x3bfe0181, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x08cfb448, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x6621a6ef, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x89dadf90, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x2e434157, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x80af4bef, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xd2f69f0a, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x33ded77d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x24e56cdf, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xe1526476, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x293b055b, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x540d91e6, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xa1e9afe6, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x43566836, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x57aa89a3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xb869817b, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x71d6f083, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x9ecb444a, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xff22c51d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xfea0e1f4, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xd10d28f6, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x9d552053, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x5269747c, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xa8ba14c6, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x5efec9c2, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xe0e172c1, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x368d0916, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x7c4af5be, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x9e077c65, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xfd90cb86, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x4723f327, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xda73804e, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xcd11bec8, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x3e09b6a3, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xa44ba74d, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x73837d62, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xaf206fdd, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x597328fa, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x3bdf1971, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xd9d04c22, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x057ba94b, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x49b34473, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x4021ce1c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xe3ff92f2, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x8aadf366, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xa2d298b1, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xc71789f4, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xce4bad38, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x00122a6a, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x19de2c29, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7c3c7a9, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xeda8f3b4, "nfs_fscache_open_file" },
	{ 0x2bc5a61e, "from_kgid" },
	{ 0xbbb23339, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a797e71, "nfs_write_inode" },
	{ 0x6426ab39, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x125fa83, "rpc_wake_up_first" },
	{ 0x7f02c66, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe98d24a9, "vfs_parse_fs_param" },
	{ 0x40a8572a, "nfs_path" },
	{ 0x41addfcc, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf1c859db, "nfs_create_rpc_client" },
	{ 0x715e96b8, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x11532cbb, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc8b4ca13, "rpc_sleep_on_timeout" },
	{ 0xb4f4c4a1, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x30402da0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf9da38f0, "rpc_call_start" },
	{ 0x8456f968, "xprt_setup_backchannel" },
	{ 0xad3f9d6a, "bpf_trace_run1" },
	{ 0x9fe845c5, "svc_create" },
	{ 0x81fb3903, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x9213aab4, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xccd4c9ae, "rpc_call_sync" },
	{ 0x7a5329e7, "from_kuid" },
	{ 0xf07e6b38, "rpc_put_task_async" },
	{ 0x3ee66ed0, "rpc_prepare_reply_pages" },
	{ 0x8946acdf, "rpc_queue_upcall" },
	{ 0xc33204c8, "nfs_free_server" },
	{ 0xd5e592a1, "fc_mount" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0x8dc484fc, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xa5afb99b, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc5578f1d, "nfs4_fs_type" },
	{ 0xc514b44e, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xbca0058, "rpc_delay" },
	{ 0x47553623, "nfs_flock" },
	{ 0x5b8d650a, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8d3f5ebc, "__list_lru_init" },
	{ 0x1ed81b8a, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x30ffe75d, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xfef31416, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x864905c8, "rpc_exit" },
	{ 0xa3f7c009, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x5b116b4, "rpc_remove_pipe_dir_object" },
	{ 0x2062fc1d, "nfs_may_open" },
	{ 0x9370b510, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xde5c3504, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xeda0df3c, "xdr_reserve_space" },
	{ 0x4da228f, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf06d7f4e, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xadfe52ba, "nfs_rmdir" },
	{ 0xb7db1556, "bpf_trace_run3" },
	{ 0xa2eb7167, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x488f613, "nfs_filemap_write_and_wait_range" },
	{ 0x338d3d27, "rpc_mkpipe_dentry" },
	{ 0xdd7a0cf6, "alloc_file_pseudo" },
	{ 0x96aedb3e, "rpc_mkpipe_data" },
	{ 0xfa6b8918, "rpc_add_pipe_dir_object" },
	{ 0x9dc95963, "igrab" },
	{ 0x49460c20, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x90bd3d6a, "nfs_async_iocounter_wait" },
	{ 0x562cc18e, "nfs_file_read" },
	{ 0x45b6113e, "trace_event_buffer_reserve" },
	{ 0x5d41fcac, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcdee528c, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x1cbb3aaf, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89114468, "nfs_setattr_update_inode" },
	{ 0xc5b29ef1, "nfs_instantiate" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0xa8759456, "rpc_uaddr2sockaddr" },
	{ 0x943a4c22, "user_read" },
	{ 0x2fb117c3, "rpc_restart_call" },
	{ 0x2e959878, "request_key_tag" },
	{ 0x79dfbf19, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xf890997d, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xa160d38a, "svc_xprt_destroy_all" },
	{ 0x83c4d3eb, "generic_key_instantiate" },
	{ 0x854b3607, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x41eaf756, "nfs_link" },
	{ 0x8edf7c8c, "__folio_put" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaf827e7e, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xd9776ef9, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54af48da, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92493bbf, "xdr_stream_move_subsegment" },
	{ 0xee1b4c9c, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xed77575c, "nfs_post_op_update_inode_force_wcc" },
	{ 0xe353b007, "nfs_pgheader_init" },
	{ 0x64be682d, "put_nfs_open_context" },
	{ 0xfe829f40, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xec7649f5, "nfs_show_devname" },
	{ 0x7f9d4fd8, "nfs_permission" },
	{ 0x957f577a, "nfs_initiate_commit" },
	{ 0x6a1e8f43, "truncate_inode_pages_range" },
	{ 0x951af27c, "__put_user_ns" },
	{ 0x869e0470, "alloc_pages_noprof" },
	{ 0x18cc84b4, "cred_fscmp" },
	{ 0x3adb06f5, "rpc_unlink" },
	{ 0x86260301, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xebab65da, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xec63fcec, "node_data" },
	{ 0x65c38ba7, "nfs_probe_server" },
	{ 0xb5574271, "nfs_setsecurity" },
	{ 0x4c535618, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x22e9aebe, "rpc_clnt_test_and_add_xprt" },
	{ 0xaf82e02f, "file_ra_state_init" },
	{ 0xf7a4fe82, "nfs_force_lookup_revalidate" },
	{ 0xf8aa3011, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa1b8b921, "rpc_clnt_add_xprt" },
	{ 0x3a278cb7, "dget_parent" },
	{ 0xc0edc39c, "from_kuid_munged" },
	{ 0xf72002ae, "prepare_kernel_cred" },
	{ 0xbcecfa86, "nfs_alloc_server" },
	{ 0xc2b606e8, "rpc_call_async" },
	{ 0xc32f0cc5, "security_dentry_init_security" },
	{ 0xe89046df, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x562b20c, "nfs_server_insert_lists" },
	{ 0x2afcdeb7, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x5ea0e75c, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa561726e, "rpc_init_pipe_dir_object" },
	{ 0x501b700e, "bpf_trace_run7" },
	{ 0x424725f, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x5ede383a, "nfs_init_server_rpcclient" },
	{ 0x3e2d99b5, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfbb887c6, "rpc_set_connect_timeout" },
	{ 0x11f5cba, "rpcauth_create" },
	{ 0xb066f6e7, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x527274a0, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x43eff8c4, "svc_xprt_create" },
	{ 0x4e7d7b8d, "nfs42_ssc_register" },
	{ 0x2480c41, "rpc_wait_for_completion_task" },
	{ 0xef918054, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8a4d1dfc, "rpc_num_bc_slots" },
	{ 0x5cb01e07, "nfs_alloc_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x51c4586b, "security_inode_listsecurity" },
	{ 0x3d325b, "nfs_fhget" },
	{ 0xfe81a2d, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb047d163, "locks_copy_lock" },
	{ 0x3e716dbb, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x6c3ef5e, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc58bdba, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x300ea5e3, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5a2d317, "svc_generic_rpcbind_set" },
	{ 0x9d2be28a, "nfs_clone_server" },
	{ 0xa5d973f8, "nfs_access_add_cache" },
	{ 0x1d292f89, "filemap_fdatawrite" },
	{ 0x71471c4c, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fbdf9f6, "nfs_server_remove_lists" },
	{ 0xdb36dcbd, "shrinker_alloc" },
	{ 0xd5e18113, "nfs42_ssc_unregister" },
	{ 0xd70418a2, "generic_listxattr" },
	{ 0x485d4c9f, "try_module_get" },
	{ 0x9e151e92, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9d90f0b8, "nfs_writeback_update_inode" },
	{ 0x14d235e8, "clear_inode" },
	{ 0x58bbef02, "inode_to_bdi" },
	{ 0xebe5f1f2, "bpf_trace_run4" },
	{ 0x7c330902, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x48fa7862, "param_ops_uint" },
	{ 0x81107490, "user_revoke" },
	{ 0xcef7db1b, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2c9218ad, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x7c1a6448, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x76826392, "rpc_clnt_probe_trunked_xprts" },
	{ 0xcd4a44bf, "nfs_pageio_reset_read_mds" },
	{ 0x252a07b7, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xf3c7f5ed, "rpc_shutdown_client" },
	{ 0x8bf25ba6, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x49be4812, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x2d589955, "nfs_free_inode" },
	{ 0x1823faed, "nfs_access_zap_cache" },
	{ 0x789aee0d, "nfs_sb_deactive" },
	{ 0x2de8fcc0, "nfs_wb_all" },
	{ 0xc362136c, "__break_lease" },
	{ 0x2c9fafbb, "nfs_pageio_init_write" },
	{ 0xe90eeaa3, "svc_recv" },
	{ 0x3367fa07, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6790f23e, "xdr_inline_decode" },
	{ 0x60bc2011, "nfs_pageio_init_read" },
	{ 0x667b91bf, "trace_raw_output_prep" },
	{ 0x903df3e8, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd5478fd7, "nfs_init_commit" },
	{ 0x5caac1f9, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd2faf911, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb051625d, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf2269d78, "__trace_trigger_soft_disabled" },
	{ 0x72fe0136, "nfs_mknod" },
	{ 0xc7d6ce8d, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd3c9996, "nfs4_label_alloc" },
	{ 0x4c1a018b, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x8e61a026, "trace_event_printf" },
	{ 0x50fd1698, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xe2e4148a, "nfs_lock" },
	{ 0x8c792e11, "unregister_key_type" },
	{ 0x3bc1d191, "nfs_client_init_is_complete" },
	{ 0x1be0c9c3, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8c73753, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa11a73e1, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xc158168b, "ihold" },
	{ 0x7db85711, "truncate_pagecache_range" },
	{ 0x4e1d5e82, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x69c9357c, "invalidate_inode_pages2_range" },
	{ 0xedc6308, "nfs_post_op_update_inode" },
	{ 0x9c6a3148, "svc_exit_thread" },
	{ 0xbae4864f, "iput" },
	{ 0x9195787e, "xdr_set_pagelen" },
	{ 0x9369c999, "pcpu_hot" },
	{ 0xd21b354b, "nfs_pgio_header_free" },
	{ 0xb05f671b, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1a5a93a0, "logfc" },
	{ 0x59556127, "nfs_pgio_header_alloc" },
	{ 0x6cd7706d, "iter_file_splice_write" },
	{ 0xfcd8cfcc, "rpc_pton" },
	{ 0x3b09791a, "nfs_sb_active" },
	{ 0x642d6a86, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xccf52dd7, "rpc_wake_up_queued_task" },
	{ 0xe00c05cb, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x6d4b6a21, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xe6313c20, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9c0e8aed, "_copy_from_pages" },
	{ 0xfbd7f442, "__module_get" },
	{ 0xb9f23c5, "kmem_cache_create" },
	{ 0x8d98fb4c, "rpc_task_release_transport" },
	{ 0xf737b70d, "xdr_page_pos" },
	{ 0x264e96e2, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x8b599d7f, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb0e532db, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x2dfa365a, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7d460ce3, "register_key_type" },
	{ 0x7723704b, "rpc_sleep_on" },
	{ 0xcc99e91f, "rpc_run_task" },
	{ 0xc856e742, "nfs_pageio_resend" },
	{ 0x20f6860f, "keyring_alloc" },
	{ 0x56f6f09a, "vfs_setpos" },
	{ 0x111eddb2, "nfs_create" },
	{ 0xc549b040, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d10fd1b, "__put_cred" },
	{ 0xe2299d9e, "nfs_update_delegated_mtime" },
	{  0xd45a5, "nfs_statfs" },
	{ 0xc01e1be2, "wake_up_process" },
	{ 0xb5453331, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xb1d75704, "splice_file_range" },
	{ 0xba254cb0, "rpc_max_bc_payload" },
	{ 0xca2a5f23, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x47d81625, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3bdc351e, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9b3c8cd2, "nfs_mkdir" },
	{ 0xf69e13ea, "nfs_revalidate_inode" },
	{ 0xba4a2ec4, "inode_newsize_ok" },
	{ 0x8755319f, "nfs_file_mmap" },
	{ 0xc076839b, "nfs_get_lock_context" },
	{ 0xf55c8dd7, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x16e4c6ea, "nfs_set_cache_invalid" },
	{ 0x3cc2701, "rpc_release_client" },
	{ 0x9558a17e, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x90c50441, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x62dba8a3, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x9d98a14, "nfs_generic_pgio" },
	{ 0x984c3d8b, "make_kuid" },
	{ 0x934b2f06, "truncate_inode_pages_final" },
	{ 0x74e6e3cb, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xbbfca03, "xprt_destroy_backchannel" },
	{ 0x80a27f25, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xb927f390, "nfs_scan_commit_list" },
	{ 0x2972dd22, "xdr_stream_decode_string_dup" },
	{ 0x8c069099, "nfs_commit_inode" },
	{ 0x18062a0c, "shrinker_register" },
	{ 0xece25e35, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0x963d00db, "rpc_destroy_pipe_data" },
	{ 0xe0e0a66f, "nfs_get_client" },
	{ 0xf1993cfe, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x4bdf777a, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4bf343ac, "nfs_atomic_open" },
	{ 0x103f0a65, "rpc_pipe_generic_upcall" },
	{ 0xc7762c21, "nfs_file_fsync" },
	{ 0x8be69322, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x284bf784, "mntput" },
	{ 0xfa9608df, "nfs_put_lock_context" },
	{ 0x38e7d619, "nfs_rename" },
	{ 0x4c8bc0bd, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3f9c68ec, "nfs_sysfs_link_rpc_client" },
	{ 0x8f0d91c2, "nfs_put_client" },
	{ 0x2126c818, "nfs_show_options" },
	{ 0x63badc05, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xa7486b66, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xcc5201ea, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2ca5825b, "get_nfs_open_context" },
	{ 0xa8e4747e, "perf_trace_run_bpf_submit" },
	{ 0xd720f29a, "nfs_clear_verifier_delegated" },
	{ 0x478e6065, "nfs_sysfs_add_server" },
	{ 0x2f032b9d, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x876daa83, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x13d53043, "nfs_do_submount" },
	{ 0xa58963cb, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xa5dff948, "request_key_with_auxdata" },
	{ 0x643da3af, "rpc_clone_client_set_auth" },
	{ 0xfdab2899, "rpc_clone_client" },
	{ 0xaa9bffda, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x98b106ab, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6280007d, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x865944f6, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2a9f4f77, "put_fs_context" },
	{ 0xb3bb7419, "nfs_retry_commit" },
	{ 0x804c0319, "nfs4_dentry_operations" },
	{ 0x863570f4, "__module_put_and_kthread_exit" },
	{ 0xb25d5dba, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x3fd56daa, "nfs_client_for_each_server" },
	{ 0xcc03d8c3, "nfs_clear_inode" },
	{ 0x87b5e742, "rpc_sleep_on_priority" },
	{ 0x4b06b43c, "nfs_invalidate_atime" },
	{ 0x153f4d84, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x730b0cd3, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6d0375bb, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa80fcc26, "nfs_pageio_reset_write_mds" },
	{ 0x9426aa83, "kmem_cache_free" },
	{ 0xbc25fb21, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x81baa312, "xdr_stream_subsegment" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "E8AB0C57DF9E00AE45D4ABA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
