#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xc325f292, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x3ef0c622, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x62c24fcc, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x55d638ce, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x2a4c5ea0, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x971764a7, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x95b3fd10, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x2dbf95d7, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x1a2b1782, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xf757fde7, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x4e2d56c4, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x10f403a6, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x9a50388f, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x5cd49888, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xa6a39123, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x372ecf50, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x3ecc32cb, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xa1969854, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xc2269cda, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x15612e78, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x9d244da7, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xee9e25ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d1b90a6, "iptun_encaps" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8c40a377, "alloc_netdev_mqs" },
	{ 0x34fed37a, "register_netdevice" },
	{ 0x8e6557fb, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5deddd2d, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb5e5bc03, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce6e081a, "ip_route_output_flow" },
	{ 0x861e20ae, "dst_release" },
	{ 0x98745804, "__dev_get_by_index" },
	{ 0x59d7d499, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x73cae817, "dev_addr_mod" },
	{ 0x4c0fa2eb, "netdev_state_change" },
	{ 0xabe751df, "ns_capable" },
	{ 0xd7ea695b, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x418f176b, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4d63da9a, "sk_skb_reason_drop" },
	{ 0x2735328e, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb2e4e4d0, "skb_scrub_packet" },
	{ 0x3db3e4bc, "gro_cells_receive" },
	{ 0x99ed4959, "skb_copy_bits" },
	{ 0xc509ac35, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe60fd80c, "ip6_mtu" },
	{ 0x8376b342, "icmpv6_ndo_send" },
	{ 0x8f87bbc7, "icmp_ndo_send" },
	{ 0x705fee5, "ipv4_mtu" },
	{ 0x94848d1, "dst_cache_get_ip4" },
	{ 0xa8f57156, "iptunnel_xmit" },
	{ 0x6b0ba86d, "__skb_get_hash_net" },
	{ 0xf8da9ecb, "pskb_expand_head" },
	{ 0x540c6400, "dst_cache_set_ip4" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbc055fdb, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F4440B10885E34EDF21BEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
