#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dw_i3c_common_probe, "_gpl", "");
KSYMTAB_FUNC(dw_i3c_common_remove, "_gpl", "");

SYMBOL_CRC(dw_i3c_common_probe, 0x05f8538f, "_gpl");
SYMBOL_CRC(dw_i3c_common_remove, 0x9a90d985, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0x2adf52c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xcd0aa5fb, "pm_runtime_enable" },
	{ 0xbeeb77ff, "i3c_master_register" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2f3e9131, "i3c_generic_ibi_get_free_slot" },
	{ 0x5413f6ea, "i3c_master_queue_ibi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x479574db, "_dev_info" },
	{ 0x195f0852, "pinctrl_pm_select_default_state" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xc1cc06fd, "__pm_runtime_resume" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x9c0696a1, "i3c_master_enec_locked" },
	{ 0xe1d94f75, "i3c_master_get_free_addr" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc03dbd, "i3c_master_add_i3c_dev_locked" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x2868cf2b, "i3c_master_set_info" },
	{ 0xf1495cc1, "pm_runtime_force_suspend" },
	{ 0x8d742819, "pm_runtime_force_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc8ea81ae, "__pm_runtime_suspend" },
	{ 0x2c4f33b3, "i3c_generic_ibi_recycle_slot" },
	{ 0x4a2ef9a7, "i3c_master_disec_locked" },
	{ 0x76fe3e05, "i3c_generic_ibi_free_pool" },
	{ 0x206d9b68, "i3c_generic_ibi_alloc_pool" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd14a87a, "i3c_master_do_daa" },
	{ 0xadd89919, "i3c_master_unregister" },
	{ 0x99ad7ebd, "__pm_runtime_disable" },
	{ 0xcf28ca5d, "__pm_runtime_set_status" },
	{ 0xcda31baa, "__pm_runtime_use_autosuspend" },
	{ 0xa6b96ef1, "__platform_driver_register" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4a9fa3af, "pinctrl_pm_select_sleep_state" },
	{ 0xe1a13cde, "platform_driver_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcb1a6a67, "devm_platform_ioremap_resource" },
	{ 0xba8cc350, "devm_clk_get_enabled" },
	{ 0xdf276d46, "devm_clk_get_optional_enabled" },
	{ 0x86dce4d4, "__devm_reset_control_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x1099caaf, "platform_get_irq" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "i3c");

MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00a");
MODULE_ALIAS("of:N*T*Csnps,dw-i3c-master-1.00aC*");

MODULE_INFO(srcversion, "86DC80ED63ECF2EC38FEE22");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
