#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xfa04af56, "regulator_bulk_disable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x49be4a63, "v4l2_subdev_link_validate_default" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb2ccd984, "v4l2_get_link_freq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x86a4455b, "regmap_bulk_read" },
	{ 0xcf0e3b2f, "regmap_bulk_write" },
	{ 0xff987002, "gpiod_set_value" },
	{ 0x640a51a5, "regulator_bulk_enable" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x252453ba, "__devm_regmap_init_i2c" },
	{ 0xab65cc3c, "devm_clk_get" },
	{ 0xda3d4ad, "dev_err_probe" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x74fc468, "devm_regulator_bulk_get" },
	{ 0xfa78a545, "devm_gpiod_get_optional" },
	{ 0xd8694c11, "v4l2_i2c_subdev_init" },
	{ 0xc92199e7, "media_entity_pads_init" },
	{ 0xf1ec97ce, "__v4l2_subdev_init_finalize" },
	{ 0x62398fdd, "__dev_fwnode" },
	{ 0xd495b9b3, "fwnode_graph_get_endpoint_by_id" },
	{ 0x2111abe2, "v4l2_fwnode_endpoint_alloc_parse" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x825971ad, "phy_mipi_dphy_get_default_config_for_hsclk" },
	{ 0x5b46f92b, "v4l2_ctrl_handler_init_class" },
	{ 0x39cbe582, "v4l2_ctrl_new_int_menu" },
	{ 0x2adf52c5, "pm_runtime_set_autosuspend_delay" },
	{ 0xcd0aa5fb, "pm_runtime_enable" },
	{ 0xc1cc06fd, "__pm_runtime_resume" },
	{ 0xbcf9a238, "__pm_runtime_idle" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc8ea81ae, "__pm_runtime_suspend" },
	{ 0x9d9c6128, "device_property_present" },
	{ 0xc957c409, "device_property_read_string" },
	{ 0x26f94f89, "devm_clk_hw_register" },
	{ 0x2396f0d1, "v4l2_fwnode_endpoint_parse" },
	{ 0xd631d8d1, "v4l2_async_subdev_nf_init" },
	{ 0x9298113f, "__v4l2_async_nf_add_fwnode_remote" },
	{ 0xfe8090c2, "v4l2_async_nf_register" },
	{ 0x5831ca73, "__v4l2_async_register_subdev" },
	{ 0xdc262920, "media_pad_remote_pad_first" },
	{ 0x3a753517, "v4l2_subdev_call_wrappers" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1495cc1, "pm_runtime_force_suspend" },
	{ 0x8d742819, "pm_runtime_force_resume" },
	{ 0xa456a9b6, "v4l2_subdev_get_fwnode_pad_1_to_1" },
	{ 0xa07a7c08, "v4l2_subdev_link_validate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x744391b5, "i2c_register_driver" },
	{ 0xf13d47f, "v4l2_subdev_cleanup" },
	{ 0xd9fb1144, "v4l2_ctrl_handler_free" },
	{ 0xfd489e3a, "v4l2_fwnode_endpoint_free" },
	{ 0x83d42ca2, "v4l2_async_nf_unregister" },
	{ 0x2db8b41f, "v4l2_async_nf_cleanup" },
	{ 0x654c0e6b, "v4l2_async_unregister_subdev" },
	{ 0x99ad7ebd, "__pm_runtime_disable" },
	{ 0xcf28ca5d, "__pm_runtime_set_status" },
	{ 0xcda31baa, "__pm_runtime_use_autosuspend" },
	{ 0x8846bb97, "__v4l2_subdev_state_get_format" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x5eddc5b, "v4l2_subdev_get_fmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45199773, "_dev_warn" },
	{ 0xa2e4a246, "v4l2_create_fwnode_links_to_pad" },
	{ 0x26ca2a83, "i2c_del_driver" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc,v4l2-fwnode,v4l2-async");

MODULE_ALIAS("of:N*T*Ctoshiba,tc358746");
MODULE_ALIAS("of:N*T*Ctoshiba,tc358746C*");

MODULE_INFO(srcversion, "34C898039EAEB717A554827");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
