#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x999e8297, "vfree" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4417f3ec, "usb_put_dev" },
	{ 0x1c09411d, "v4l2_device_unregister" },
	{ 0x46222de9, "v4l2_device_disconnect" },
	{ 0x46d31539, "video_unregister_device" },
	{ 0x479574db, "_dev_info" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd9fb1144, "v4l2_ctrl_handler_free" },
	{ 0x99936198, "v4l2_fh_open" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe7dd9262, "usb_get_dev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x12461a03, "usb_alloc_urb" },
	{ 0x6986e2dd, "request_firmware" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x11f4101e, "usb_reset_device" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x30d369b6, "v4l2_device_register" },
	{ 0x5b46f92b, "v4l2_ctrl_handler_init_class" },
	{ 0x6a22a72e, "v4l2_ctrl_new_std" },
	{ 0x5b2db0bf, "vb2_vmalloc_memops" },
	{ 0xc03f94a9, "vb2_queue_init" },
	{ 0x62aede0e, "__video_register_device" },
	{ 0x38578a86, "v4l2_ctrl_new_custom" },
	{ 0xc61d03e0, "vb2_ioctl_reqbufs" },
	{ 0xddc86208, "vb2_ioctl_querybuf" },
	{ 0xcbc4d7ce, "vb2_ioctl_qbuf" },
	{ 0x94bfef01, "vb2_ioctl_dqbuf" },
	{ 0x9fa915dc, "vb2_ioctl_streamon" },
	{ 0x3bf516a0, "vb2_ioctl_streamoff" },
	{ 0x120eaf2b, "v4l2_ctrl_log_status" },
	{ 0x93c422d7, "v4l2_ctrl_subscribe_event" },
	{ 0xa884a894, "v4l2_event_unsubscribe" },
	{ 0x880898e0, "vb2_fop_read" },
	{ 0xec83fc0b, "vb2_fop_poll" },
	{ 0x48f3d70e, "video_ioctl2" },
	{ 0x8b165f3, "vb2_fop_mmap" },
	{ 0x1ee4261d, "vb2_fop_release" },
	{ 0x6e452688, "vb2_ops_wait_prepare" },
	{ 0x1aaebe77, "vb2_ops_wait_finish" },
	{ 0x848fc835, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4a06c02, "usb_register_driver" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x8dac31eb, "usb_submit_urb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x2bf9c154, "video_devdata" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52d75a15, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe0295414, "usb_bulk_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x32216807, "vb2_plane_vaddr" },
	{ 0x895ef529, "vb2_buffer_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1d04ce0d, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35d9315, "__v4l2_ctrl_s_ctrl" },
	{ 0xb5c088af, "usb_kill_urb" },
	{ 0x47ab27d5, "usb_free_urb" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-vmalloc,videobuf2-v4l2,videobuf2-common");

MODULE_ALIAS("usb:v1943p2255d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1943p2257d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CDC29698F1FC9B8E0E5E2F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
