#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xf112247, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e40a173, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xf748002c, "ipv6_skip_exthdr" },
	{ 0x6f741a13, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x904694, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x479574db, "_dev_info" },
	{ 0x1f110a17, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe7648d99, "devm_bitmap_zalloc" },
	{ 0xc2c5802, "work_busy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x2c209090, "devm_kfree" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x418f176b, "init_net" },
	{ 0x8125688c, "softnet_data" },
	{ 0x5570638a, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x24e18731, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x5de53224, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfff7d72b, "dma_alloc_attrs" },
	{ 0x26cbe837, "debugfs_remove" },
	{ 0x38141720, "napi_enable" },
	{ 0x42b38b7e, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e6557fb, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x89c2d350, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd4cb5b6b, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x45199773, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfefed0de, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7c9a2a51, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8a2479c, "dma_set_coherent_mask" },
	{ 0xb905a79a, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5022e5b1, "debugfs_create_file" },
	{ 0x5ea9965e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa1fd28ca, "pci_release_regions" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe6b513f, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb65d8b7a, "devlink_priv" },
	{ 0x4930c7fc, "__hw_addr_sync_dev" },
	{ 0x3b76461c, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9bdf284e, "netif_carrier_on" },
	{ 0x7d267008, "pci_disable_msix" },
	{ 0xe350c635, "pci_disable_device" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xda3d4ad, "dev_err_probe" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x366fa1f3, "napi_schedule_prep" },
	{ 0x7507148, "napi_disable" },
	{ 0xea7490da, "dev_kfree_skb_any_reason" },
	{ 0xfcf762bd, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe6877b6, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x8b002dbf, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfb9f942e, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x237e2615, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1710ef83, "devlink_unregister" },
	{ 0x9be10524, "dma_pool_create" },
	{ 0x48fa7862, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0xed7b51c1, "pci_enable_device" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6c43a493, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3e0655f9, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x4b71fab8, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0x2cb4595d, "devlink_health_reporter_create" },
	{ 0xc48e64f1, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xc23ba7e6, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x41086266, "devlink_alloc_ns" },
	{ 0x3f6b7006, "devlink_register" },
	{ 0x9369c999, "pcpu_hot" },
	{ 0xfe0ced85, "devlink_free" },
	{ 0xeb522e63, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x762c9f7f, "netdev_warn" },
	{ 0x884b61d9, "param_ops_byte" },
	{ 0x30200fe5, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0xf6322ae, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x31313aa0, "__pskb_copy_fclone" },
	{ 0x832055f0, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xc94b1c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf8da9ecb, "pskb_expand_head" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x1d159f90, "dev_driver_string" },
	{ 0x73cae817, "dev_addr_mod" },
	{ 0xc509ac35, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0x208a619f, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3b55913, "priv_to_devlink" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019E5d00001822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000210sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000375Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AE9082B7EAA37995F06FC01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
