#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_read, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_write, "", "");
KSYMTAB_FUNC(bcm_phy_write_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_ack_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_shadow, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_shadow, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_apd, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_eee, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_get, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_set, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_sset_count, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_strings, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_stats, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_r_rc_cal_reset, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_28nm_a0b0_afe_config_init, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_jumbo, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_wol_isr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_led_brightness_set, "_gpl", "");
KSYMTAB_FUNC(bcm_setup_lre_master_slave, "_gpl", "");
KSYMTAB_FUNC(bcm_config_lre_aneg, "_gpl", "");
KSYMTAB_FUNC(bcm_config_lre_advert, "_gpl", "");

SYMBOL_CRC(__bcm_phy_write_exp, 0xaffbe44d, "_gpl");
SYMBOL_CRC(bcm_phy_write_exp, 0xa15f55c1, "_gpl");
SYMBOL_CRC(__bcm_phy_read_exp, 0x0cf69272, "_gpl");
SYMBOL_CRC(bcm_phy_read_exp, 0x2670f127, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_exp, 0x8fd85860, "_gpl");
SYMBOL_CRC(bcm_phy_modify_exp, 0x74805653, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_read, 0x53225189, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_write, 0xa280f02d, "");
SYMBOL_CRC(bcm_phy_write_misc, 0xfa94977b, "_gpl");
SYMBOL_CRC(bcm_phy_read_misc, 0x9f12f73a, "_gpl");
SYMBOL_CRC(bcm_phy_ack_intr, 0x2f4b37bd, "_gpl");
SYMBOL_CRC(bcm_phy_config_intr, 0xdb570eb0, "_gpl");
SYMBOL_CRC(bcm_phy_handle_interrupt, 0x941a3dc4, "_gpl");
SYMBOL_CRC(bcm_phy_read_shadow, 0xed9a2403, "_gpl");
SYMBOL_CRC(bcm_phy_write_shadow, 0x12b252ea, "_gpl");
SYMBOL_CRC(__bcm_phy_read_rdb, 0x6e143c1a, "_gpl");
SYMBOL_CRC(bcm_phy_read_rdb, 0x44925f4f, "_gpl");
SYMBOL_CRC(__bcm_phy_write_rdb, 0xb36ede70, "_gpl");
SYMBOL_CRC(bcm_phy_write_rdb, 0xbdca6ffc, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_rdb, 0x430fa7b6, "_gpl");
SYMBOL_CRC(bcm_phy_modify_rdb, 0xb857a985, "_gpl");
SYMBOL_CRC(bcm_phy_enable_apd, 0xf6357630, "_gpl");
SYMBOL_CRC(bcm_phy_set_eee, 0x91c010a7, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_get, 0x771daa98, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_set, 0x2f063221, "_gpl");
SYMBOL_CRC(bcm_phy_get_sset_count, 0x1f787aba, "_gpl");
SYMBOL_CRC(bcm_phy_get_strings, 0x92277e91, "_gpl");
SYMBOL_CRC(bcm_phy_get_stats, 0x49a9fd6c, "_gpl");
SYMBOL_CRC(bcm_phy_r_rc_cal_reset, 0x35c128ec, "_gpl");
SYMBOL_CRC(bcm_phy_28nm_a0b0_afe_config_init, 0x73972d75, "_gpl");
SYMBOL_CRC(bcm_phy_enable_jumbo, 0x50cc9c6d, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start, 0x9aaf8189, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status, 0xf3fc4ee6, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start_rdb, 0xa600e714, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status_rdb, 0x88126e5a, "_gpl");
SYMBOL_CRC(bcm_phy_set_wol, 0x120925e5, "_gpl");
SYMBOL_CRC(bcm_phy_get_wol, 0xccf37947, "_gpl");
SYMBOL_CRC(bcm_phy_wol_isr, 0xa0f0ddfd, "_gpl");
SYMBOL_CRC(bcm_phy_led_brightness_set, 0x4eadc024, "_gpl");
SYMBOL_CRC(bcm_setup_lre_master_slave, 0xd897bcd3, "_gpl");
SYMBOL_CRC(bcm_config_lre_aneg, 0xb5037a76, "_gpl");
SYMBOL_CRC(bcm_config_lre_advert, 0x72989d62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5687f37, "mdiobus_write" },
	{ 0xe5bb00b6, "mdiobus_read" },
	{ 0xf7806e5c, "phy_trigger_machine" },
	{ 0xbda19100, "phy_error" },
	{ 0x6dcb6480, "phy_read_mmd" },
	{ 0xf4025472, "phy_write_mmd" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaa56b30f, "phy_modify_changed" },
	{ 0x45199773, "_dev_warn" },
	{ 0x6644f47f, "genphy_config_eee_advert" },
	{ 0xf3f2fdea, "genphy_check_and_restart_aneg" },
	{ 0x2e99d60a, "phy_modify" },
	{ 0xa3a44ca1, "__mdiobus_write" },
	{ 0xf4ea8aae, "__mdiobus_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96209188, "ethnl_cable_test_result" },
	{ 0x167c70a, "ethnl_cable_test_fault_length" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "07F6330A68B82FE942CF8DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
