#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf4ea8aae, "__mdiobus_read" },
	{ 0x2670f127, "bcm_phy_read_exp" },
	{ 0xa15f55c1, "bcm_phy_write_exp" },
	{  0xa5402, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x5429a384, "genphy_read_abilities" },
	{ 0x1f787aba, "bcm_phy_get_sset_count" },
	{ 0xfece3d54, "devm_gpiod_get" },
	{ 0xcf57e412, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0x60e67a17, "device_set_wakeup_capable" },
	{ 0x8455c880, "device_wakeup_enable" },
	{ 0x213b026e, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x516dab8e, "pm_wakeup_dev_event" },
	{ 0xb24329f3, "genphy_resume" },
	{ 0x636f3e83, "genphy_soft_reset" },
	{ 0xdb570eb0, "bcm_phy_config_intr" },
	{ 0x941a3dc4, "bcm_phy_handle_interrupt" },
	{ 0x92277e91, "bcm_phy_get_strings" },
	{ 0x4eadc024, "bcm_phy_led_brightness_set" },
	{ 0xb87fd3fb, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x815b081d, "phy_drivers_register" },
	{ 0xe5bb00b6, "mdiobus_read" },
	{ 0x108dde4d, "genphy_read_status" },
	{ 0xf7806e5c, "phy_trigger_machine" },
	{ 0xbda19100, "phy_error" },
	{ 0x53225189, "bcm54xx_auxctl_read" },
	{ 0xa280f02d, "bcm54xx_auxctl_write" },
	{ 0xed9a2403, "bcm_phy_read_shadow" },
	{ 0x12b252ea, "bcm_phy_write_shadow" },
	{ 0xb5037a76, "bcm_config_lre_aneg" },
	{ 0x85c2aad0, "__genphy_config_aneg" },
	{ 0xc0885de2, "genphy_c37_config_aneg" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0xccf37947, "bcm_phy_get_wol" },
	{ 0x120925e5, "bcm_phy_set_wol" },
	{ 0x49a9fd6c, "bcm_phy_get_stats" },
	{ 0x6cf287c2, "phy_drivers_unregister" },
	{ 0x2e99d60a, "phy_modify" },
	{ 0xa5687f37, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa3a44ca1, "__mdiobus_write" },
	{ 0xd6800860, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
