#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda7d629e, "mt7663_usb_sdio_tx_complete_skb" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd84d7569, "mt7615_mac_sta_add" },
	{ 0x239e7e2f, "kthread_park" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0xce49a654, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6e8cd16b, "mt76_alloc_device" },
	{ 0x87ecec6b, "mt76_tx_status_check" },
	{ 0xc01e1be2, "wake_up_process" },
	{ 0xd8f0eb97, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e329b06, "mt7663_usb_sdio_register_device" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x606b5161, "mt76s_read_pcr" },
	{ 0xb9f38151, "mt76_free_device" },
	{ 0x74333a91, "mt76_connac_mcu_reg_rr" },
	{ 0x45d6421c, "sdio_set_host_pm_flags" },
	{ 0x82c7dd4c, "kthread_unpark" },
	{ 0x80438b5e, "sdio_unregister_driver" },
	{ 0xdf3eaefb, "mt76s_init" },
	{ 0x297ca9d9, "sdio_readsb" },
	{ 0x15563ec6, "mt7615_mac_sta_remove" },
	{ 0xc1839153, "devm_kmemdup" },
	{ 0xb51a3795, "mt7615_init_work" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x7e544c12, "mt76s_rd_rp" },
	{ 0x1eb82dcc, "mt76s_read_copy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x431f718f, "mt76s_rr" },
	{ 0xc4a538d9, "mt76_connac_mcu_reg_wr" },
	{ 0xb8e78366, "mt76s_alloc_tx" },
	{ 0xaed2bce5, "mt7615_ops" },
	{ 0x12dc8ffc, "mt76s_alloc_rx_queue" },
	{ 0xb3f927fa, "sdio_writel" },
	{ 0x67b1dfc2, "__sdio_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x28c2c8af, "mt7615_queue_rx_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf06d7f4e, "kthread_create_on_node" },
	{ 0xe29d775e, "mt7615_mcu_fill_msg" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfa4b23a1, "ieee80211_unregister_hw" },
	{ 0x69fe5761, "mt76s_write_copy" },
	{ 0xd04f8147, "____mt76_poll_msec" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcd1833f3, "mt7615_mcu_restart" },
	{ 0xcd07ff27, "mt7663_usb_sdio_tx_prepare_skb" },
	{ 0x66ca6d5, "mt7615_update_channel" },
	{ 0x83473747, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xaf07091c, "mt7615_rx_check" },
	{ 0x22920ae6, "mt76s_rmw" },
	{ 0x5b86ad2f, "mt76s_deinit" },
	{ 0xdffe3d8f, "mt76s_hw_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8171c8a, "sdio_release_host" },
	{ 0x97853120, "mt7663_usb_sdio_tx_status_data" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x1506ffca, "mt7663_usb_sdio_reg_map" },
	{ 0xf894edaa, "mt7615_mcu_parse_response" },
	{ 0xb020bc16, "sdio_claim_host" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf67c057, "mt76s_wr" },
	{ 0xa3ec38fc, "__mt7663_load_firmware" },
	{ 0xdd7671f3, "mt76s_wr_rp" },
	{ 0x1c92bfce, "mt76s_txrx_worker" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mt7663-usb-sdio-common,mt7615-common,mt76,mt76-connac-lib,mt76-sdio,mmc_core,mac80211");

MODULE_ALIAS("sdio:c*v037Ad7603*");

MODULE_INFO(srcversion, "70C3C49430F3A4088FA7071");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
