#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9fb65c1, "cros_ec_check_features" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6daa752b, "typec_partner_register_altmode" },
	{ 0x197a8a63, "typec_partner_set_num_altmodes" },
	{ 0xf5e2e884, "typec_unregister_partner" },
	{ 0xe9c8a65a, "typec_set_pwr_opmode" },
	{ 0xd2fa1286, "typec_switch_set" },
	{ 0xaead7d85, "fwnode_property_read_u32_array" },
	{ 0x6f3e33fe, "typec_set_orientation" },
	{ 0xb4d9fa4f, "typec_unregister_cable" },
	{ 0x2c209090, "devm_kfree" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0xd4254212, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x2b6d7dbb, "usb_power_delivery_register_capabilities" },
	{ 0x347470d1, "typec_register_plug" },
	{ 0xc5977f1b, "usb_power_delivery_unregister" },
	{ 0xf29f6b19, "typec_altmode_attention" },
	{ 0x3aaae62a, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0x2e09a81b, "typec_altmode_vdm" },
	{ 0x1ce5e0f6, "typec_unregister_port" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xba20c043, "device_get_child_node_count" },
	{ 0x45199773, "_dev_warn" },
	{ 0x2d1e301d, "typec_find_power_role" },
	{ 0xf3be2be2, "typec_register_port" },
	{ 0x63a97fe, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa494370d, "typec_retimer_put" },
	{ 0x85bef2ea, "typec_partner_set_usb_power_delivery" },
	{ 0x7035feed, "typec_unregister_plug" },
	{ 0xa6b96ef1, "__platform_driver_register" },
	{ 0x1fc909cc, "typec_plug_register_altmode" },
	{ 0xa07430fc, "fwnode_find_reference" },
	{ 0x6f04df23, "fwnode_property_read_string" },
	{ 0x997b5ca9, "typec_unregister_altmode" },
	{ 0xcda6ab39, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x185dc1e0, "typec_retimer_set" },
	{ 0x7c7c459f, "usb_power_delivery_unregister_capabilities" },
	{ 0x5277995c, "typec_partner_set_identity" },
	{ 0x6b3d9465, "typec_mux_set" },
	{ 0x896df8f3, "fwnode_typec_retimer_get" },
	{ 0xe1d1e45d, "typec_set_pwr_role" },
	{ 0xec84b5eb, "typec_match_altmode" },
	{ 0x6840ad25, "typec_partner_usb_power_delivery_register" },
	{ 0xda3d4ad, "dev_err_probe" },
	{ 0x4294dcbc, "device_get_next_child_node" },
	{ 0x7ea0a2b, "cros_ec_cmd" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4b886e51, "is_acpi_device_node" },
	{ 0x9d1949d3, "fwnode_typec_switch_get" },
	{ 0x34d8370b, "typec_partner_set_pd_revision" },
	{ 0x92e696be, "typec_register_partner" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0xdedacc8d, "typec_port_register_altmode" },
	{ 0xe1a13cde, "platform_driver_unregister" },
	{ 0x86521d45, "typec_switch_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeafc1eb8, "typec_find_port_power_role" },
	{ 0xfc8df340, "typec_mux_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x127fdee, "fwnode_usb_role_switch_get" },
	{ 0x8bda2df3, "cros_usbpd_register_notify" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e5a7ab5, "fwnode_typec_mux_get" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,cros_usbpd_notify");

MODULE_ALIAS("acpi*:GOOG0014:*");

MODULE_INFO(srcversion, "A5DABE250B07CAEC1903256");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
