#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3382716e, "ieee80211_register_hw" },
	{ 0xc986dd3e, "ieee80211_emulate_change_chanctx" },
	{ 0x340d9903, "dev_kfree_skb_irq_reason" },
	{ 0xf0fb3bbe, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x832055f0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d159f90, "dev_driver_string" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe25088d9, "ieee80211_handle_wake_tx_queue" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe8c57c00, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x479574db, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3260bf7, "device_wakeup_disable" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0xc75b9c67, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xfff7d72b, "dma_alloc_attrs" },
	{ 0xfee954ba, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd9365e91, "ieee80211_free_txskb" },
	{ 0x6e90a4c1, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xe14593f7, "ieee80211_emulate_add_chanctx" },
	{ 0xfefed0de, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd7a35ab, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7c9a2a51, "__netdev_alloc_skb" },
	{ 0x9c4706fe, "ieee80211_stop_queues" },
	{ 0x20014cd9, "skb_trim" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x34b5dd39, "_dev_notice" },
	{ 0x5ea9965e, "dma_free_attrs" },
	{ 0xa1fd28ca, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfa4b23a1, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x806dd1a9, "ieee80211_beacon_get_tim" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x5b7018fc, "ieee80211_emulate_remove_chanctx" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0xc65e9585, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7ec5bb80, "ieee80211_queue_stopped" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xed7b51c1, "pci_enable_device" },
	{ 0xaa260c05, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x45d2ffdf, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf206896b, "ieee80211_free_hw" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0xff10ea48, "ieee80211_get_tkip_p2k" },
	{ 0xc48e64f1, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xc23ba7e6, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");

MODULE_ALIAS("pci:v00001106d00003253sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "77A6BFC44B10E674B491186");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
