#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x2891583d, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0xe2a58b60, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xbd443088, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xd5ed2f6c, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xfcdcdb8d, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x58167a3d, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x7ab72f5c, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x902016ed, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x06c5262a, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xcf882702, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x4be80ec2, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x88e3fdad, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x6203a23d, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x8ca6ae79, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x2f3c0698, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x082a0d9f, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x73510325, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x91f4ba60, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x65bc3e56, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x5acd9a2d, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x6ab1ca6f, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x34ed4c1c, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x20932576, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x33bc7d2c, "");
SYMBOL_CRC(ufshcd_system_resume, 0x2695182d, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x824b7e84, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xda7f9416, "");
SYMBOL_CRC(ufshcd_remove, 0xc07ff6d1, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x9693536a, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x355da9f3, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x8d89152f, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xc1c1464a, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x899d5be0, "");
SYMBOL_CRC(ufshcd_init, 0xa7656f4d, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xca062fe4, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x46e51962, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xbe8896f4, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x63cdcceb, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xbf4d1be7, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x812e0a2f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xacf3a4f7, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x386b695a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x299449ec, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x587cffaa, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x13ad5b8a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xed1ae35c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc1f4edc4, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa2a075ee, "scsi_change_queue_depth" },
	{ 0xbcf9a238, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x95ee8ca1, "device_remove_file" },
	{ 0x1a22144b, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x11540d4e, "scsi_dma_map" },
	{ 0x732408a3, "scsi_print_sense_hdr" },
	{ 0x886cc66f, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdeee3c64, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xba5762c4, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xebe5f1f2, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0xaadad09a, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0xc45c3d41, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xeaa804ba, "scsi_autopm_put_device" },
	{ 0x884b9e57, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8bdf9c69, "bsg_remove_queue" },
	{ 0x85a9b0c9, "dev_set_name" },
	{ 0xe2c80519, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x31131ccd, "dmam_alloc_attrs" },
	{ 0x667b91bf, "trace_raw_output_prep" },
	{ 0x4d0897f5, "scsi_remove_host" },
	{ 0xd2faf911, "bpf_trace_run6" },
	{ 0x2adf52c5, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf2269d78, "__trace_trigger_soft_disabled" },
	{ 0x54b2a98d, "blk_pm_runtime_init" },
	{ 0x8e61a026, "trace_event_printf" },
	{ 0x110a394d, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf4082c72, "sysfs_remove_groups" },
	{ 0xad1b142a, "hwmon_notify_event" },
	{ 0x7cf19ddf, "pm_runtime_get_if_active" },
	{ 0x21e43cc6, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0xa60ed6c1, "device_initialize" },
	{ 0x14f2eaad, "devfreq_recommended_opp" },
	{ 0xac3bed22, "sysfs_create_groups" },
	{ 0xa11a73e1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2e23216, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9369c999, "pcpu_hot" },
	{ 0x3548c687, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe00c05cb, "bpf_trace_run2" },
	{ 0x287a9fda, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x9f2c3e1e, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9df8393a, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xab65cc3c, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe1e69907, "blk_mq_alloc_tag_set" },
	{ 0x24b37733, "scsi_device_set_state" },
	{ 0xca697a9a, "devfreq_add_device" },
	{ 0x1d159f90, "dev_driver_string" },
	{ 0xca2a5f23, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf28ca5d, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x52b3644e, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xdb4ffebe, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe0bfbb90, "put_device" },
	{ 0x5b8e8318, "blk_mq_unquiesce_tagset" },
	{ 0x3d59ea93, "dev_pm_opp_put" },
	{ 0xa886d1a7, "blk_mq_free_request" },
	{ 0x57b4a523, "device_property_read_u32_array" },
	{ 0xaf3973e9, "devm_regulator_get" },
	{ 0xb4e5b293, "dev_pm_opp_get_freq_indexed" },
	{ 0x479574db, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xec4d7dda, "scsi_device_put" },
	{ 0x75a18097, "device_create_file" },
	{ 0xf5a5aaa8, "blk_mq_quiesce_tagset" },
	{ 0x60fd18f6, "debugfs_attr_read" },
	{ 0x72e0baeb, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa8e4747e, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2c209090, "devm_kfree" },
	{ 0xfee88f9c, "_dev_err" },
	{ 0x90a51954, "devfreq_remove_device" },
	{ 0x64b625f, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0x8092958c, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x154091c3, "simple_attr_release" },
	{ 0x7820dbbe, "hwmon_device_register_with_info" },
	{ 0x6a952e5b, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x153f4d84, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x53a8b750, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x6dfe51d4, "sdev_prefix_printk" },
	{ 0x5172c3a9, "scsi_scan_host" },
	{ 0x26cbe837, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbbb23339, "trace_event_reg" },
	{ 0x3c03e1f9, "device_link_remove" },
	{ 0x1feb0309, "blk_mq_alloc_request" },
	{ 0xf84dabda, "driver_unregister" },
	{ 0x8c824fea, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf5308f56, "blk_put_queue" },
	{ 0x41a268c7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8a30008a, "dev_pm_opp_set_opp" },
	{ 0xe2ce3e20, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x45199773, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x94dd888f, "regulator_count_voltages" },
	{ 0x584203c1, "scsi_is_host_device" },
	{ 0xb70da2b1, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46028f88, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x97ee85e6, "bpf_trace_run10" },
	{ 0x6b05d3c9, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ad83b2b, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8a2479c, "dma_set_coherent_mask" },
	{ 0x9f96a742, "scsi_print_command" },
	{ 0x180fbde2, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x1aa68919, "__scsi_register_driver" },
	{ 0x560a8ac, "pm_runtime_forbid" },
	{ 0x5022e5b1, "debugfs_create_file" },
	{ 0x2a0eac42, "param_set_uint_minmax" },
	{ 0xeb00a637, "blk_mq_freeze_queue" },
	{ 0x63da7503, "pm_runtime_allow" },
	{ 0x45b6113e, "trace_event_buffer_reserve" },
	{ 0xc1cc06fd, "__pm_runtime_resume" },
	{ 0xcc3dab5, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c889e42, "param_ops_bool" },
	{ 0x68b66ead, "blk_mq_destroy_queue" },
	{ 0x1444bb7e, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x44eca0e5, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3316038c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x239b3520, "devm_blk_crypto_profile_init" },
	{ 0x8fdb3ab9, "hwmon_device_unregister" },
	{ 0x459be616, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7f747e29, "blk_mq_tagset_busy_iter" },
	{ 0x768148aa, "scsi_done" },
	{ 0xd5ee8bdf, "single_release" },
	{ 0x1e35c903, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x2cc1b0f1, "regulator_disable" },
	{ 0xda3d4ad, "dev_err_probe" },
	{ 0x1fca773f, "dma_unmap_sg_attrs" },
	{ 0xc3cde7da, "scsi_remove_device" },
	{ 0x8539420a, "scsi_block_requests" },
	{ 0x1fe6aa4c, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4b0e80cf, "single_open" },
	{ 0x19cd01b5, "scsi_host_alloc" },
	{ 0x901e112e, "__scsi_add_device" },
	{ 0xfcc989d0, "devfreq_resume_device" },
	{ 0xfcf762bd, "debugfs_create_dir" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3DEE85FDAD7ECDC3A2B7AB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
