#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x11532cbb, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x49460c20, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x2c9218ad, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x5ea0e75c, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x8f0d91c2, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x3bc1d191, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x98b106ab, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x903df3e8, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xe0e0a66f, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x7c1a6448, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xf1c859db, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x5ede383a, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x341b133e, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x65c38ba7, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xde5c3504, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x0562b20c, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x8fbdf9f6, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xbcecfa86, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xc33204c8, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x09224e41, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x9d2be28a, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xf7a4fe82, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xdc58bdba, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xd720f29a, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xa54c0deb, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x4c8bc0bd, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x49be4812, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x804c0319, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x4bf343ac, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0xaf87df13, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x1514cf72, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xc5b29ef1, "_gpl");
SYMBOL_CRC(nfs_create, 0x111eddb2, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x72fe0136, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x9b3c8cd2, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xadfe52ba, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x06c3ef5e, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x0fe81a2d, "_gpl");
SYMBOL_CRC(nfs_link, 0x41eaf756, "_gpl");
SYMBOL_CRC(nfs_rename, 0x38e7d619, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x1823faed, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x50fd1698, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xa5d973f8, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x2062fc1d, "_gpl");
SYMBOL_CRC(nfs_permission, 0x7f9d4fd8, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x264e96e2, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xf8aa3011, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x562cc18e, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x1be0c9c3, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x8755319f, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xc7762c21, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xebab65da, "_gpl");
SYMBOL_CRC(nfs_lock, 0xe2e4148a, "_gpl");
SYMBOL_CRC(nfs_flock, 0x47553623, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x05342a4f, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x3367fa07, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xcc03d8c3, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x86260301, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xfd396015, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x16e4c6ea, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xb7c3c7a9, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x4b06b43c, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x0d3c9996, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xb5574271, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x003d325b, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xe2299d9e, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x8dc484fc, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x89114468, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x6d0375bb, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xc076839b, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xfa9608df, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x442e4203, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x07f02c66, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x2ca5825b, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x64be682d, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xc7d6ce8d, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x9213aab4, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xf69e13ea, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x5d41fcac, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x0424725f, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x0edc6308, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xed77575c, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x5cb01e07, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x2d589955, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x406abe6a, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x3b09791a, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x789aee0d, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x3fd56daa, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x000d45a5, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x2126c818, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xec7649f5, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xfe829f40, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x71471c4c, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x730b0cd3, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x8d929c3d, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x57d373eb, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xdd1374ca, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x2afcdeb7, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x8b599d7f, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xe353b007, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x90bd3d6a, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x11aa5d1b, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xbc25fb21, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x59556127, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xd21b354b, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x754ef85e, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x09d98a14, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xc856e742, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x60bc2011, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0xcd4a44bf, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x5b8d650a, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x1cbb3aaf, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x1f6c69d8, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xb05f671b, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xb552669c, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x6426ab39, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x20167ac5, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xb927f390, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x2c9fafbb, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0xa80fcc26, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x9d90f0b8, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x5caac1f9, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x957f577a, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xd5478fd7, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xb3bb7419, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x8c069099, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x1a797e71, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x0488f613, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x2de8fcc0, "_gpl");
SYMBOL_CRC(nfs_path, 0x40a8572a, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x13d53043, "_gpl");
SYMBOL_CRC(nfs_submount, 0xf3348ac9, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x434c030c, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x8952f506, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x35c70671, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x9db03dc6, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x91ae64ae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0xcaf4d086, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x80ee3934, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x8066a05b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0xd7aad474, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0x83596500, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x077eb4c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0xd6493b9b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x3f9c68ec, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x478e6065, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x994b5cf9, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xc5578f1d, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xeda8f3b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba4a2ec4, "inode_newsize_ok" },
	{ 0xf55c8dd7, "d_drop" },
	{ 0xc2e61037, "deactivate_super" },
	{ 0x72832cb8, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xd76429d8, "security_sb_mnt_opts_compat" },
	{ 0xdb4ffebe, "param_get_uint" },
	{ 0xfa884123, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x984c3d8b, "make_kuid" },
	{ 0x934b2f06, "truncate_inode_pages_final" },
	{ 0x5b80fa08, "d_alloc" },
	{ 0xba00f6f7, "fs_kobj" },
	{ 0x93714c13, "net_ns_type_operations" },
	{ 0xfd82566c, "__filemap_set_wb_err" },
	{ 0x48a63650, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xee1b0d9d, "generic_perform_write" },
	{ 0x18062a0c, "shrinker_register" },
	{ 0x655952a6, "__filemap_get_folio" },
	{ 0x29dc4c89, "const_pcpu_hot" },
	{ 0xcbb1ee60, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8be69322, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4ebcdf4e, "rpc_setbufsize" },
	{ 0x8286129, "fs_context_for_submount" },
	{ 0xf54a10f9, "inode_init_once" },
	{ 0x206acf33, "folio_wait_private_2" },
	{ 0x9ad87c82, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6b70587c, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9aa06a24, "seq_escape_mem" },
	{ 0x640e4274, "ilookup5" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xf869f695, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x855768fb, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa8e4747e, "perf_trace_run_bpf_submit" },
	{ 0xbb8f1b04, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x55a13ac3, "generic_file_read_iter" },
	{ 0x643da3af, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2dc3d56d, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2a9f4f77, "put_fs_context" },
	{ 0xb25d5dba, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf5c42f2d, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x153f4d84, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x323d572b, "write_cache_pages" },
	{ 0xb0b5afec, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x677db41, "kmem_cache_alloc_lru_noprof" },
	{ 0x9426aa83, "kmem_cache_free" },
	{ 0x1a0cc6a6, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x591df52a, "d_move" },
	{ 0xecb30b53, "seq_putc" },
	{ 0x521fb712, "rpc_proc_unregister" },
	{ 0xbbb23339, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x85797229, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd49084a1, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x550efff1, "nlmclnt_rpc_clnt" },
	{ 0x42e54425, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x864b9414, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x42495b7f, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5b5bf7ad, "d_obtain_alias" },
	{ 0x715e96b8, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3b0a3b1d, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x375c9cc7, "rpc_create" },
	{ 0x5dfb3a74, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x29679846, "__folio_start_writeback" },
	{ 0x55ac9034, "d_obtain_root" },
	{ 0xad3f9d6a, "bpf_trace_run1" },
	{ 0xc3477c63, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x18aa1df4, "folio_end_writeback" },
	{ 0x199cac, "folio_alloc_noprof" },
	{ 0xccd4c9ae, "rpc_call_sync" },
	{ 0xdb28dbe0, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf07e6b38, "rpc_put_task_async" },
	{ 0x8d12951, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf99c0617, "xdr_init_decode_pages" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ed81b8a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x864905c8, "rpc_exit" },
	{ 0xa3f7c009, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7a6b021b, "d_delete" },
	{ 0xf8e106f2, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x2781968f, "nfs_ssc_unregister" },
	{ 0x60f7e51a, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xeda0df3c, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfdcc85b4, "iov_iter_get_pages_alloc2" },
	{ 0x6d12ca62, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb7db1556, "bpf_trace_run3" },
	{ 0x9481060a, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x991e7bf4, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7a9eca70, "generic_read_dir" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x45b6113e, "trace_event_buffer_reserve" },
	{ 0xe4b74068, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcdee528c, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x3c889e42, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xa2e246eb, "security_inode_notifysecctx" },
	{ 0xdb1d5748, "nfs_ssc_register" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6f58b1f3, "invalidate_inode_pages2" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa250d953, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x8edf7c8c, "__folio_put" },
	{ 0x7ade9ba6, "kobject_set_name" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3316038c, "seq_printf" },
	{ 0x54af48da, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x60e2d8e0, "deactivate_locked_super" },
	{ 0xee1b4c9c, "put_rpccred" },
	{ 0x38c6e059, "__percpu_down_read" },
	{ 0xdc7eb639, "__d_lookup_unhash_wake" },
	{ 0x95e7cd6e, "rpc_clnt_swap_deactivate" },
	{ 0x9f47fdea, "kobject_uevent" },
	{ 0x50af7698, "__fscache_invalidate" },
	{ 0xa1dd9263, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x869e0470, "alloc_pages_noprof" },
	{ 0x18cc84b4, "cred_fscmp" },
	{ 0x502b20de, "__folio_lock" },
	{ 0xf44d0e2b, "filemap_dirty_folio" },
	{ 0x1cbc3fe2, "pagecache_get_page" },
	{ 0x8bd4aef7, "is_bad_inode" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x5e3b44f9, "__fscache_use_cookie" },
	{ 0xc06baf8f, "rcuwait_wake_up" },
	{ 0x9348ac63, "_proc_mkdir" },
	{ 0xec63fcec, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x4c535618, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xfd61b99a, "__fs_parse" },
	{ 0xa6e1cb12, "sysfs_create_link_nowarn" },
	{ 0x6f405f21, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3a278cb7, "dget_parent" },
	{ 0x84a67821, "nlmclnt_init" },
	{ 0x9fb20716, "__seq_puts" },
	{ 0x4bfb5d70, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xbf7817f1, "iget5_locked" },
	{ 0xe89046df, "filemap_write_and_wait_range" },
	{ 0x3091ecce, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x37931fa, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xfd7eed94, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x848fc835, "param_ops_int" },
	{ 0x8da61321, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xd6d595cb, "iov_iter_revert" },
	{ 0x8f455aed, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x779ba3dc, "mntget" },
	{ 0x72968c02, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xe292218a, "filemap_fault" },
	{ 0xdf24df0c, "d_invalidate" },
	{ 0x3e2d99b5, "__mark_inode_dirty" },
	{ 0xf3e8ff81, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfa7f55db, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0x2480c41, "rpc_wait_for_completion_task" },
	{ 0x6b1b5f81, "set_anon_super" },
	{ 0xef918054, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x77cdc895, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3e716dbb, "kmem_cache_destroy" },
	{ 0x9b862e78, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0xded35506, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x300ea5e3, "rpc_put_task" },
	{ 0x8210d378, "super_setup_bdi_name" },
	{ 0x23b6925f, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2dc06d80, "inode_update_timestamps" },
	{ 0x1d292f89, "filemap_fdatawrite" },
	{ 0xaa544d3c, "generic_fillattr" },
	{ 0x4c0b4e86, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xdb36dcbd, "shrinker_alloc" },
	{ 0x8d3f9540, "clear_nlink" },
	{ 0x46cec876, "file_check_and_advance_wb_err" },
	{ 0x485d4c9f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x52a67ef3, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14d235e8, "clear_inode" },
	{ 0x58bbef02, "inode_to_bdi" },
	{ 0xebe5f1f2, "bpf_trace_run4" },
	{ 0x6e29ae1b, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x944d2238, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xd7c61f85, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2259ff54, "sysfs_create_file_ns" },
	{ 0xf3c7f5ed, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4809ce6, "fs_param_is_string" },
	{ 0xd37ed453, "folio_unlock" },
	{ 0xc5d96af3, "mnt_set_expiry" },
	{ 0xfddcc809, "param_ops_ushort" },
	{ 0x246914df, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x6c7651b9, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc451ac96, "filemap_map_pages" },
	{ 0x6790f23e, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x667b91bf, "trace_raw_output_prep" },
	{ 0x580efc28, "kobject_rename" },
	{ 0x96c8e70b, "security_sb_set_mnt_opts" },
	{ 0xe67e546f, "init_special_inode" },
	{ 0x972975a2, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x398b274c, "generic_error_remove_folio" },
	{ 0xf2269d78, "__trace_trigger_soft_disabled" },
	{ 0x28a15d8f, "filemap_fdatawrite_range" },
	{ 0x41ab5294, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xac6a1a7, "d_make_root" },
	{ 0x8e61a026, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4b4da867, "sync_filesystem" },
	{ 0x8eb74457, "__fscache_unuse_cookie" },
	{ 0xd5b71657, "folio_redirty_for_writepage" },
	{ 0x28054794, "sget_fc" },
	{ 0x8c73753, "d_splice_alias" },
	{ 0xa11a73e1, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x2acd721e, "unmap_mapping_range" },
	{ 0xc158168b, "ihold" },
	{ 0x45d99dc9, "inode_dio_wait" },
	{ 0xc86cc688, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x69c9357c, "invalidate_inode_pages2_range" },
	{ 0x14ccae19, "read_cache_page" },
	{ 0x8cb8932, "finish_open" },
	{ 0xbae4864f, "iput" },
	{ 0x8e5aacaa, "kset_unregister" },
	{ 0x9369c999, "pcpu_hot" },
	{ 0x603983c0, "security_sb_clone_mnt_opts" },
	{ 0x21fdb378, "fs_param_is_enum" },
	{ 0x1a5a93a0, "logfc" },
	{ 0x6cd7706d, "iter_file_splice_write" },
	{ 0xfcd8cfcc, "rpc_pton" },
	{ 0x642d6a86, "mod_node_page_state" },
	{ 0xccf52dd7, "rpc_wake_up_queued_task" },
	{ 0xe00c05cb, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x2849eb44, "remove_proc_subtree" },
	{ 0xe6313c20, "rpc_restart_call_prepare" },
	{ 0x2286a5d2, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfbd7f442, "__module_get" },
	{ 0xe6d5a5d0, "__fscache_relinquish_cookie" },
	{ 0x2d4055e7, "register_filesystem" },
	{ 0xb9f23c5, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa3cbc9b3, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xa778cc8d, "filemap_add_folio" },
	{ 0x7723704b, "rpc_sleep_on" },
	{ 0xcc99e91f, "rpc_run_task" },
	{ 0x52ca114e, "netfs_readahead" },
	{ 0xf39ca227, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xda401be6, "d_prune_aliases" },
	{ 0x7d10fd1b, "__put_cred" },
	{ 0xd7d154bb, "register_pernet_subsys" },
	{ 0x155392f9, "rpc_cancel_tasks" },
	{ 0xb5453331, "shrinker_free" },
	{ 0xca2a5f23, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xab34062, "migrate_folio" },
	{ 0x3bdc351e, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xba6cf1b2, "add_swap_extent" },
	{ 0xc505b3a1, "fs_param_is_u32" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "99D1E543F45AC2E75BFD0EC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
